MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024927Open CASCADE[OCCT] OCCT:Codingpublic2014-05-15 09:472017-05-02 11:48
Reporterdln 
Assigned Tobugmaster 
PriorityhighSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version64 bit
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0024927: Getting rid of old "Persistent" functionality
DescriptionOld "Persistent" functionality is deprecated and isn't currently used in CASCADE. Therefore, it should be removed.

Here is a list of the packages which have classes - direct inheritors of the “Persistent”:

• ObjMgt;
• PTopoDS;
• PBRep;
• PCDM;
• PCollection;
• PDF;
• PGeom;
• PGeom2d;
• PMMgt;
• PNaming;
• PPoly;
• PStandard;
• PTopLoc.

And I attached the "Tree of dependencies.docx" file with a tree of dependencies of this packages.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Filesdocx file icon Tree of dependencies.docx (18,056 bytes) 2014-05-15 09:47

- Relationships
parent of 0025812closedabv Open CASCADE Replace dynamic loading mechanism of OCAF persistence with dynamic-link one 
parent of 0026961closedabv Open CASCADE Recover possibility to read files in old persistence format 
related to 0027206closedabv Open CASCADE Inconsistent and obsolete information in persistence documentation and Release Notes 

-  Notes
(0029689)
abv (manager)
2014-06-05 09:50

I have pushed branch CR24927 where toolkits composing standard persistence are removed. The fact is that this persistence is used in multiple test cases, and perhaps needed for customers.

The test cases that fail in this branch are:

  bugs caf buc60756 buc60867 bug158 bug267_1 bug381_1 bug381_2 bug425 bug1454 bug1726 bug2793 bug5023 bug22788_1 bug22788_2 bug22995 bug23071 bug23766_2 bug23766_5 bug24164_1 bug24164_2
  bugs modalg_4 bug363_1
  bugs modalg_5 bug23952_1 bug24849_1 bug24849_2
  bugs moddata_3 bug23733
  bugs xde bug23384
  caf basic *3, J6
  caf named_shape C1
  caf presentation A4
  caf tree A3 B3 C2
  caf xlink B3
  de step_1 ZQ2
  de step_4 G7
  xcaf brep_to_dxc *
  xcaf dxc A1
  xcaf dxc_add_ACL A1
  xcaf dxc_add_CL *
  xcaf igs_to_dxc *
  xml ocaf_std *
  xml xcaf_dxc *

Perhaps it will be easier to keep that persistence (preferably refactored to minimize amount of code) than to change all these test cases and provide conversion tools for the customers who might need it.

In any case the remaining points to be considered are:
- remove classes Storable, Persistence, etc. from other packages
- change WOK to avoid generation of accessors for private fields of classes inheriting storable (methods _CSFDB_Get...(), see e.g. gp_Pnt.hxx)
- clean up documentation
(0030556)
git (administrator)
2014-08-04 15:07

Branch CR24927_1 has been created by dbv.

SHA-1: bd6250d1eaf57167b1bcd660e5b5b5d34b6ad6ae


This branch includes the following new commits:

       new bd6250d 0024927: Getting rid of "Persistent" functionality


Detailed log of new commits:

commit bd6250d1eaf57167b1bcd660e5b5b5d34b6ad6ae
Author: abv
Date: Wed Jun 4 12:12:21 2014 +0400

    0024927: Getting rid of "Persistent" functionality
    
    Brute force removal of standard persistence (ShapeSchema, StdLSchema, StdSchema, XCAFSchema) and all persistence-specific toolkits
(0030706)
git (administrator)
2014-08-13 11:58

Branch CR24927_2 has been created by dln.

SHA-1: 270aac08f41134eb1b718f0260b13098238236c0


This branch includes the following new commits:

       new 2027634 0024927: Getting rid of "Persistent" functionality
       new 99ae983 0024927: Getting rid of "Persistent" functionality
       new d25387d 0024927: Getting rid of "Persistent" functionality
       new 270aac0 0024927: Getting rid of "Persistent" functionality


Detailed log of new commits:

commit 270aac08f41134eb1b718f0260b13098238236c0
Author: dln
Date: Wed Aug 13 10:41:40 2014 +0400

    0024927: Getting rid of "Persistent" functionality
    
    - delete "Persistent" class from "Standard" and all using of it

commit d25387d2bc5d6b743c31f02586c447d86b3626ec
Author: dln
Date: Mon Aug 11 14:21:38 2014 +0400

    0024927: Getting rid of "Persistent" functionality
    
    - delete some methods and classes

commit 99ae983922ee8643eb87d0c67312645316160ca9
Author: dln
Date: Mon Aug 11 12:28:12 2014 +0400

    0024927: Getting rid of "Persistent" functionality
    
    - delete call backs classes and methods
    - delete some other methods

commit 20276342247f66b67dcc195f1635735261b8bc0e
Author: dln
Date: Fri Aug 8 14:42:21 2014 +0400

    0024927: Getting rid of "Persistent" functionality
    
    - delete PCDM_Document
    - delete base realizations of Read() and Write() methods from PCDM (Retrieve and Store)
    - delete Make() methods from PCDM
    - delete LoadExtensions() and RaiseIfUnknownTypes() methods from PCDM
(0030767)
git (administrator)
2014-08-15 11:19

Branch CR24927_2 has been updated by dln.

SHA-1: dd351e4d8dd64b51d586662b498d061f62af4e41


      from 270aac0 0024927: Getting rid of "Persistent" functionality
       new dd351e4 0024927: Getting rid of "Persistent" functionality


Detailed log of new commits:

commit dd351e4d8dd64b51d586662b498d061f62af4e41
Author: dln
Date: Fri Aug 15 10:03:58 2014 +0400

    0024927: Getting rid of "Persistent" functionality
    
    - delete "Storable" class from "Standard" package and all using of it

(0030769)
git (administrator)
2014-08-15 11:31

Branch CR24927_2 has been updated by dln.

SHA-1: 8b8240bab5c00834d348dec450111b2a8fc78396


      from dd351e4 0024927: Getting rid of "Persistent" functionality
       new 8b8240b 0024927: Getting rid of "Persistent" functionality


Detailed log of new commits:

commit 8b8240bab5c00834d348dec450111b2a8fc78396
Author: dln
Date: Fri Aug 15 11:31:16 2014 +0400

    0024927: Getting rid of "Persistent" functionality
    
    - add prefix "gp_Trsf::" to SetForm(...) method

(0030770)
git (administrator)
2014-08-15 11:57

Branch CR24927_4 has been created by abv.

SHA-1: 3ccf3bf519f5a8e4d82b942476998b950c47ae17


This branch includes the following new commits:

       new 6f67d38 0024870: Provide OCCT RTTI test cases
       new 2bbd320 0024927: Getting rid of "Persistent" functionality -- toolkits
       new 3ccf3bf 0024927: Getting rid of "Persistent" functionality -- Storable


Detailed log of new commits:

commit 3ccf3bf519f5a8e4d82b942476998b950c47ae17
Author: dln
Date: Fri Aug 15 10:03:58 2014 +0400

    0024927: Getting rid of "Persistent" functionality -- Storable
    
    - delete "Storable" class from "Standard" package and all using of it

commit 2bbd32042f4f84c3e5d116aaa1c7b23a2ca039c2
Author: abv
Date: Wed Jun 4 12:12:21 2014 +0400

    0024927: Getting rid of "Persistent" functionality -- toolkits
    
    Brute force removal of standard persistence (ShapeSchema, StdLSchema, StdSchema, XCAFSchema) and all persistence-specific toolkits

commit 6f67d38e11bebad10b7a6e4d84ccab4bfd85f141
Author: kgv
Date: Thu Apr 24 10:57:26 2014 +0400

    0024870: Provide OCCT RTTI test cases
    
    Test commands for checking performance and functionality of OCCT handles and RTTI added.
    New test case added for that: test perf fclasses handle
(0031101)
git (administrator)
2014-08-26 16:15

Branch CR24927_4 has been updated by dln.

SHA-1: 268e754f3c086f7b1da61105f05d5b5ca2358e64


Detailed log of new commits:

Author: dln
Date: Tue Aug 26 16:15:24 2014 +0400

    0024927: Getting rid of "Persistent" functionality -- Storable
    
    - OCCT samples were corrected (C#, MFC and Qt samples)
    - "Persistent" from "Storable" inheritance was removed

(0031176)
git (administrator)
2014-08-29 11:24

Branch CR24927_4 has been updated by dln.

SHA-1: afbc55d5028d7d67ae910992b33115dbe4094a4a


Detailed log of new commits:

Author: dln
Date: Fri Aug 29 11:24:24 2014 +0400

    0024927: Getting rid of "Persistent" functionality -- Tests
    
    - tests updates

(0031259)
git (administrator)
2014-09-02 11:21

Branch CR24927_4 has been updated by dln.

SHA-1: 98e400653d1cc8eb04a81ca87458605aa73349f6


Detailed log of new commits:

Author: dln
Date: Tue Sep 2 11:21:21 2014 +0400

    0024927: Getting rid of "Persistent" functionality -- Documentation
    
    - add preliminary version of manual

(0031300)
git (administrator)
2014-09-03 12:17

Branch CR24927_4 has been updated by apn.

SHA-1: c869ddddf75bbbab192c613b232722361aa2696c


Detailed log of new commits:

Author: apn
Date: Wed Sep 3 12:17:32 2014 +0400

    Remove including of deleted files from mfcsample/CMakeLists.txt

(0040874)
git (administrator)
2015-05-14 08:55

Branch CR24927_5 has been created by abv.

SHA-1: 8fe08eaad750e13b293293f484df672537844156


Detailed log of new commits:

Author: dln
Date: Fri Aug 15 10:03:58 2014 +0400

    0024927: Getting rid of "Persistent" functionality -- Storable
    
    Delete "Storable" class from "Standard" package and all use of it

Author: abv
Date: Wed Jun 4 12:12:21 2014 +0400

    0024927: Getting rid of "Persistent" functionality -- toolkits
    
    Brute force removal of standard persistence (ShapeSchema, StdLSchema, StdSchema, XCAFSchema) and all persistence-specific toolkits

Author: abv
Date: Wed May 13 17:49:12 2015 +0300

    Increment OCCT version to 7.0.0.dev
(0040875)
abv (manager)
2015-05-14 09:03

Sergey, please update tests which are failing in branch CR24927_5 to take into account removal of old persistence. For that, it should be sufficient to change extensions of the files involved: .STD to .CBF, .SGD to .CDF and .DXC to .XBF. Note that necessary files should be already present in the data base.

The list of failing tests is:

bugs caf buc60756 buc60867 bug158 bug267_1 bug381_1 bug381_2 bug425 bug1454 bug1726 bug2793 bug5023 bug22788_1 bug22788_2 bug22995 bug23071 bug23766_2 bug23766_5 bug24164_1 bug24164_2 bug25394_1
bugs modalg_4 bug363_1
bugs modalg_5 bug24849_1 bug24849_2 bug25969
bugs moddata_3 bug23733
bugs vis bug21091_3 bug24376
bugs xde bug23384
caf basic A3 B3 C3 D3 E3 F3 G3 H3 I3 J3 J6 K3 L3 M3
caf named_shape C1
caf presentation A4
caf tree A3 B3 C2
caf xlink B3
heal split_angle_advanced X3
offset faces_type_i C9.BASE
xcaf brep_to_dxc A1 A2 A3 A4 A5 A6 A7 A8 A9 B1 B2 B3 B4 B5 B6 B7 B8 B9 C1 C2 C3 C4 C5 C6 C7 C8 C9 D1 D2 D3 D4 D5 D6 D7 D8 D9 E1 E2 E3 E4 E5 E6 E7 E8 E9 F1 F2 F3 F4 F5 F6 F7 F8 F9 G1 G2 G3 G4 G5 G6 G7 G8 G9 I1 I2 I3 I4 I5 I6
xcaf dxc A1
xcaf dxc_add_ACL A1
xcaf dxc_add_CL A1 A2 A3 A4 A5 A6 A7 A8 A9 B1 B2 B3 B4 B5 B6 B7 B8 B9 C1 C2 C3 C4 C5 C6 C7 C8 C9 D1 D2 D3 D4 D5 D6 D7 D8 D9 E1 E2 E3 E4 E5 E6 E7 E8 E9 F1 F2 F3 F4 F5 F6 F7 F8 F9 G1 G2 G3 G4 G5 G6 G7 G8 G9 I1 I2 I3 I4 I5 I6
xcaf igs_to_dxc A1 A2 A3 A4 A5 A6 A7 A8 A9 B1 B2 B3 B4 B5 B6 B7 B8 B9 C1 C2 C3 C4 C5 C6 C7 C8 C9 D1 D2 D3 D4 D5 D6 D7 D8 D9 E1 E2 E3 E4 E5 E6 E7
xcaf stp_to_dxc A1 A2 A3 A4 A5 A6 A7 A8 A9 B1 B2 B3 B4 B5 B6 B7 B8 B9 C1 C2 C3 C4 C5 C6 C7 C8 C9 D1 D2 D3 D4 D5 D6 D7 D8 D9 E1 E2 E3 E4 E5 E6 E7 E8 E9 F1 F2 F3 F4 F5 F6 F7 F8 F9 G1 G2 G3 G4 G5 G6 G7 G8 G9 I1 I2 I3 I4 I5 I6 I7 I8 I9 J1 J2 J3 J4 J5 J6 J7 J8 J9 K1 K2 K3 K4 K5 K6 K7 K8 K9 L1 L2 L3 L4 L5 L6 L7 L8 L9 M1 M2 M3 M4 M5 M6 M7 M8 M9 N1 N2 N3 N4 N5 N6 N7 N8 N9 O1 O2 O3
xml ocaf_std A1 A2 A3 A4 A5 A6 A7 A8 A9 B1 B2 B3 B4 B5 B6 B7 B8 B9 C1 C2 C3 C4 C5 C6 C7 C8 C9 D1 D2 D3 D4 D5 D6
xml xcaf_dxc A1 A2 A3 A4 A5 A6 A7 A8 A9
(0041154)
git (administrator)
2015-05-14 18:30

Branch CR24927_5 has been updated by ski.

SHA-1: 7c74b65ebc465bb0918292cf0197d0405ab1fe4a


Detailed log of new commits:

Author: ski
Date: Thu May 14 18:30:16 2015 +0300

    Test cases were updated to improve failed status.

(0041157)
ski (developer)
2015-05-14 19:06

Extensions of the files involved in testing were changed due to ABV suggestion: .STD to .CBF
.SGD to .CDF
.DXC to .XBF

But test cases are still marked as failed.
Result of testing on windows station:

http://occt-tests/CR24927_5_2015-05-14T1454/summary.html [^]

It seems that all test cases fails on attempt to SaveAs document.

Also, some shapes are missed.
for test cases
- bugs/modalg_5/bug24849_1 bug24849_Study1_GEOM.cdf
- bugs/modalg_5/bug24849_2 bug24849_Study1_GEOM.cdf
- bugs/moddata_3/bug23733 bug_glue_edges_GEOM.cdf
(0041158)
ski (developer)
2015-05-14 19:08

Dear SZY,
could you analyze this
(0041218)
git (administrator)
2015-05-17 17:18

Branch CR24927_6 has been created by abv.

SHA-1: 918e32075cbf31fcc7585dbb8e783c83be375f05


Detailed log of new commits:

Author: dln
Date: Tue Sep 2 11:21:21 2014 +0400

    0024927: Getting rid of "Persistent" functionality -- Documentation
    
    First version of upgrade manual (new developer guide) added, describing methods that can be used to convert data files written with old persistence, to formats supported by OCCT 7.0

Author: dln
Date: Fri Aug 15 10:03:58 2014 +0400

    0024927: Getting rid of "Persistent" functionality -- Storable
    
    Delete "Storable" class from "Standard" package and all use of it

Author: dln
Date: Tue Aug 26 16:15:24 2014 +0400

    0024927: Getting rid of "Persistent" functionality -- Samples and data
    
    Support of old persistence (CSFDB format) is removed from OCCT samples (C#, MFC and Qt)
    
    Motor model from data/csfdb is converted from CSFDB to BRep format and put to data/occ (Motor-c.brep)

Author: dln
Date: Fri Aug 29 10:24:24 2014 +0300

    0024927: Getting rid of "Persistent" functionality -- Tests
    
    All uses of "MDTV-Standard" and "MDTV-Design" in tests changed to "BinOcaf", and "MDTV-XCAF" changed to "BinXCAF".
    Formats changed: .std to .cbf, .dxc to .dbf.
    
    Test groups renamed accordingly:
    xcaf: brep_to_dxc -> brep_to_xbf, igs_to_dxc -> igs_to_xbf, stp_to_dxc -> stp_to_xbf, dxc -> xbf/A1, dxc_add_CL -> xbf_add_CL
    xml: ocaf_std -> ocaf_cbf, xcaf_dxc -> xcaf_xbf

Author: abv
Date: Wed Jun 4 12:12:21 2014 +0400

    0024927: Getting rid of "Persistent" functionality -- Code
    
    Brute force removal of standard persistence (ShapeSchema, StdLSchema, StdSchema, XCAFSchema) and all persistence-specific toolkits.
    
    OCAF formats "MDTV-Standard", "MDTV-XCAF" are removed from resource files.
    
    Uses of "MDTV-Standard" are changed to "BinOcaf", and "MDTV-XCAF" changed to "BinXCAF".

Author: kgv
Date: Mon Sep 29 10:17:42 2014 +0300

    0025148: Visualization - drop TKNIS toolkit
    
    TKNIS toolkit and related DRAW stuff removed
(0041219)
abv (manager)
2015-05-17 17:40

I have restored the fixes made by DLN last year, and rebased them on current master, see CR24927_6. Please check compilation and work of samples and products.
(0041220)
abv (manager)
2015-05-17 17:41

Note that test for issue 25969 added recently (bugs modalg_5 bug25969) used file in SGD format. Now it expects file in CBF format. That file (converted using procedure described in upgrade.md) is attached here, please add it to the test models repository.
(0041280)
git (administrator)
2015-05-19 15:00

Branch CR24927_6 has been updated by ski.

SHA-1: e7eb649173a33f92fb4e44073c86fdd47913f084


Detailed log of new commits:

Author: ski
Date: Tue May 19 14:55:04 2015 +0300

    Eliminated toolkits were removed from Additional Dependencies of mfc sample projects.

(0041308)
git (administrator)
2015-05-20 12:28

Branch CR24927_6 has been updated forcibly by ski.

SHA-1: f6662f617dccfaa933377ffbf6370b82a7642fd3
(0041317)
szy (developer)
2015-05-20 15:20

I have overlooked the sources. It seems OK for the first iteration.
I will remove some additional useless methods in context of the issue 25812.
This branch should be integrated before branch 25812.
(0041318)
git (administrator)
2015-05-20 15:39

Branch CR24927_6 has been updated forcibly by ski.

SHA-1: a443c7548991f6403d5732682256157cc26a1f6a
(0041327)
ski (developer)
2015-05-20 16:53

OCCT branch CR24927_6 and prod based on it were built and tested with vc10 win64 Release - OK.

OCCT samples - built and checked.
- Eliminated toolkits were removed from Additional Dependencies of mfc sample projects.
- mfc ImportExport toolbar was updated (removed images of CSFDB buttons).
- CSharp sample was updated.

It seems that there is a problem in CSharp ImportExport sample, application could not export shape to STEP format file.
(0041330)
git (administrator)
2015-05-20 17:52

Branch CR24927_6 has been updated forcibly by ski.

SHA-1: b7329dad969f2e86565856b84ec1cf2ebb07cc53
(0041331)
ski (developer)
2015-05-20 17:55

CSharp ImportExport sample was fixed to export shape to STEP format file.

All changes were squashed in last commit of OCCT branch CR24927_6.

Dear ABV,
Please review.
(0041333)
ski (developer)
2015-05-20 17:58

Attached file "bug25969_pal22851.cbf" was added to test models repository.
(0041336)
git (administrator)
2015-05-20 18:06

Branch CR24927_7 has been created by abv.

SHA-1: ec111955e89a94b5bf2983fbb9717a5715b4f671


Detailed log of new commits:

Author: dln
Date: Tue Sep 2 11:21:21 2014 +0400

    0024927: Getting rid of "Persistent" functionality -- Documentation
    
    First version of upgrade manual (new developer guide) added, describing methods that can be used to convert data files written with old persistence, to formats supported by OCCT 7.0

Author: dln
Date: Fri Aug 15 10:03:58 2014 +0400

    0024927: Getting rid of "Persistent" functionality -- Storable
    
    Delete "Storable" class from "Standard" package and all use of it

Author: dln
Date: Tue Aug 26 16:15:24 2014 +0400

    0024927: Getting rid of "Persistent" functionality -- Samples and data
    
    Support of old persistence (CSFDB format) is removed from OCCT samples (C#, MFC and Qt)
    
    Motor model from data/csfdb is converted from CSFDB to BRep format and put to data/occ (Motor-c.brep)
(0041337)
abv (manager)
2015-05-20 18:07

I have squashed last change with other changes in samples, please test CR24927_7
(0041379)
apv (tester)
2015-05-21 13:42
edited on: 2015-05-21 13:42

Dear BugMaster,

Branch CR24927_7 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: ec111955e89a94b5bf2983fbb9717a5715b4f671

Number of compiler warnings:
occt component:
   Linux: 25
   Windows: 0
products component:
   Linux: 37
   Windows: 0

There are problems during building of samples for OCCTProducts. More information could be found by the following links:
http://jenkins-test-02.nnov.opencascade.com/view/CR24927-7-master/job/CR24927-7-master_build_products_mfc_samples_windows/2/parsed_console/ [^]
http://jenkins-test-02.nnov.opencascade.com/view/CR24927-7-master/job/CR24927-7-master_build_products_qt_samples_windows/2/parsed_console/ [^]
http://jenkins-test-02.nnov.opencascade.com/view/CR24927-7-master/job/CR24927-7-master_build_products_training/2/parsed_console/ [^]

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 97922907 / 98769764 [-0.86%]
Total CPU difference: 18228.019999999993 / 19280.94000000019 [-5.46%]

Testing on Windows:
Total MEMORY difference: 58453263 / 58677769 [-0.38%]
Total CPU difference: 17123.418564798794 / 16929.992924898965 [+1.14%]

(0041406)
ski (developer)
2015-05-21 19:07

Product branch CR24927 was created.

It is possible now to build products samples and trainings.

Please, review.
(0041407)
abv (manager)
2015-05-21 19:21

No remarks, please integrate
(0043263)
git (administrator)
2015-07-22 07:47

Branch CR24927_7 has been deleted by abv.

SHA-1: ec111955e89a94b5bf2983fbb9717a5715b4f671
(0043264)
git (administrator)
2015-07-22 07:52

Branch CR24927_6 has been deleted by abv.

SHA-1: b7329dad969f2e86565856b84ec1cf2ebb07cc53
(0044279)
git (administrator)
2015-08-14 11:01

Branch CR24927_5 has been deleted by inv.

SHA-1: 7c74b65ebc465bb0918292cf0197d0405ab1fe4a
(0044297)
git (administrator)
2015-08-14 11:02

Branch CR24927_4 has been deleted by inv.

SHA-1: c869ddddf75bbbab192c613b232722361aa2696c
(0044298)
git (administrator)
2015-08-14 11:02

Branch CR24927_2 has been deleted by inv.

SHA-1: 8b8240bab5c00834d348dec450111b2a8fc78396
(0044300)
git (administrator)
2015-08-14 11:02

Branch CR24927_1 has been deleted by inv.

SHA-1: bd6250d1eaf57167b1bcd660e5b5b5d34b6ad6ae
(0044301)
git (administrator)
2015-08-14 11:02

Branch CR24927 has been deleted by inv.

SHA-1: 051510f9f4798518b349dae4faf7953d03c143bf

- Related Changesets
occt: master fff263bd
Timestamp: 2014-06-04 08:12:21
Author: abv
Committer: bugmaster
Details ] Diff ]
0024927: Getting rid of "Persistent" functionality -- Code

Brute force removal of standard persistence (ShapeSchema, StdLSchema, StdSchema, XCAFSchema) and all persistence-specific toolkits.

OCAF formats "MDTV-Standard", "MDTV-XCAF" are removed from resource files.

Uses of "MDTV-Standard" are changed to "BinOcaf", and "MDTV-XCAF" changed to "BinXCAF".
mod - adm/UDLIST Diff ] File ]
mod - src/AppStd/AppStd_Application.cxx Diff ] File ]
mod - src/CDF/CDF.cdl Diff ] File ]
mod - src/CDM/CDM_Document.cdl Diff ] File ]
rm - src/DBC/DBC.cdl Diff ] File ]
rm - src/DBC/DBC_BaseArray.cdl Diff ] File ]
rm - src/DBC/DBC_BaseArray.cxx Diff ] File ]
rm - src/DBC/DBC_BaseArray.lxx Diff ] File ]
rm - src/DBC/DBC_BaseArray_objs.hxx Diff ] File ]
rm - src/DBC/DBC_Copy.tcl Diff ] File ]
rm - src/DBC/DBC_DBVArray.cxx Diff ] File ]
rm - src/DBC/DBC_DBVArray.hxx Diff ] File ]
rm - src/DBC/DBC_VArray.cdl Diff ] File ]
rm - src/DBC/DBC_VArray.gxx Diff ] File ]
rm - src/DBC/DBC_VArrayNode.gxx Diff ] File ]
rm - src/DBC/DBC_VArrayTNode.gxx Diff ] File ]
rm - src/DBC/DBC_VArrayTNode.lxx Diff ] File ]
rm - src/DBC/DBC_WOKSteps.edl Diff ] File ]
rm - src/DBC/FILES Diff ] File ]
rm - src/MDataStd/MDataStd.cdl Diff ] File ]
rm - src/MDataStd/MDataStd.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_AsciiStringRetrievalDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_AsciiStringRetrievalDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_AsciiStringStorageDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_AsciiStringStorageDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_BooleanArrayRetrievalDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_BooleanArrayRetrievalDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_BooleanArrayStorageDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_BooleanArrayStorageDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_BooleanListRetrievalDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_BooleanListRetrievalDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_BooleanListStorageDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_BooleanListStorageDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_ByteArrayRetrievalDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_ByteArrayRetrievalDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_ByteArrayRetrievalDriver_1.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_ByteArrayRetrievalDriver_1.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_ByteArrayStorageDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_ByteArrayStorageDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_CommentRetrievalDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_CommentRetrievalDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_CommentStorageDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_CommentStorageDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_DirectoryRetrievalDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_DirectoryRetrievalDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_DirectoryStorageDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_DirectoryStorageDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_ExpressionRetrievalDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_ExpressionRetrievalDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_ExpressionStorageDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_ExpressionStorageDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_ExtStringArrayRetrievalDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_ExtStringArrayRetrievalDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_ExtStringArrayRetrievalDriver_1.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_ExtStringArrayRetrievalDriver_1.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_ExtStringArrayStorageDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_ExtStringArrayStorageDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_ExtStringListRetrievalDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_ExtStringListRetrievalDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_ExtStringListStorageDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_ExtStringListStorageDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_IntegerArrayRetrievalDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_IntegerArrayRetrievalDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_IntegerArrayRetrievalDriver_1.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_IntegerArrayRetrievalDriver_1.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_IntegerArrayStorageDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_IntegerArrayStorageDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_IntegerListRetrievalDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_IntegerListRetrievalDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_IntegerListStorageDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_IntegerListStorageDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_IntegerRetrievalDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_IntegerRetrievalDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_IntegerStorageDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_IntegerStorageDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_IntPackedMapRetrievalDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_IntPackedMapRetrievalDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_IntPackedMapRetrievalDriver_1.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_IntPackedMapRetrievalDriver_1.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_IntPackedMapStorageDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_IntPackedMapStorageDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_NamedDataRetrievalDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_NamedDataRetrievalDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_NamedDataStorageDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_NamedDataStorageDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_NameRetrievalDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_NameRetrievalDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_NameStorageDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_NameStorageDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_NoteBookRetrievalDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_NoteBookRetrievalDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_NoteBookStorageDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_NoteBookStorageDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_RealArrayRetrievalDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_RealArrayRetrievalDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_RealArrayRetrievalDriver_1.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_RealArrayRetrievalDriver_1.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_RealArrayStorageDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_RealArrayStorageDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_RealListRetrievalDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_RealListRetrievalDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_RealListStorageDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_RealListStorageDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_RealRetrievalDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_RealRetrievalDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_RealStorageDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_RealStorageDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_ReferenceArrayRetrievalDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_ReferenceArrayRetrievalDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_ReferenceArrayStorageDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_ReferenceArrayStorageDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_ReferenceListRetrievalDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_ReferenceListRetrievalDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_ReferenceListStorageDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_ReferenceListStorageDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_RelationRetrievalDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_RelationRetrievalDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_RelationStorageDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_RelationStorageDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_TickRetrievalDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_TickRetrievalDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_TickStorageDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_TickStorageDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_TreeNodeRetrievalDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_TreeNodeRetrievalDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_TreeNodeStorageDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_TreeNodeStorageDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_UAttributeRetrievalDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_UAttributeRetrievalDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_UAttributeStorageDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_UAttributeStorageDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_VariableRetrievalDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_VariableRetrievalDriver.cxx Diff ] File ]
rm - src/MDataStd/MDataStd_VariableStorageDriver.cdl Diff ] File ]
rm - src/MDataStd/MDataStd_VariableStorageDriver.cxx Diff ] File ]
rm - src/MDataXtd/MDataXtd.cdl Diff ] File ]
rm - src/MDataXtd/MDataXtd.cxx Diff ] File ]
rm - src/MDataXtd/MDataXtd_AxisRetrievalDriver.cdl Diff ] File ]
rm - src/MDataXtd/MDataXtd_AxisRetrievalDriver.cxx Diff ] File ]
rm - src/MDataXtd/MDataXtd_AxisStorageDriver.cdl Diff ] File ]
rm - src/MDataXtd/MDataXtd_AxisStorageDriver.cxx Diff ] File ]
rm - src/MDataXtd/MDataXtd_ConstraintRetrievalDriver.cdl Diff ] File ]
rm - src/MDataXtd/MDataXtd_ConstraintRetrievalDriver.cxx Diff ] File ]
rm - src/MDataXtd/MDataXtd_ConstraintStorageDriver.cdl Diff ] File ]
rm - src/MDataXtd/MDataXtd_ConstraintStorageDriver.cxx Diff ] File ]
rm - src/MDataXtd/MDataXtd_GeometryRetrievalDriver.cdl Diff ] File ]
rm - src/MDataXtd/MDataXtd_GeometryRetrievalDriver.cxx Diff ] File ]
rm - src/MDataXtd/MDataXtd_GeometryStorageDriver.cdl Diff ] File ]
rm - src/MDataXtd/MDataXtd_GeometryStorageDriver.cxx Diff ] File ]
rm - src/MDataXtd/MDataXtd_PatternStdRetrievalDriver.cdl Diff ] File ]
rm - src/MDataXtd/MDataXtd_PatternStdRetrievalDriver.cxx Diff ] File ]
rm - src/MDataXtd/MDataXtd_PatternStdStorageDriver.cdl Diff ] File ]
rm - src/MDataXtd/MDataXtd_PatternStdStorageDriver.cxx Diff ] File ]
rm - src/MDataXtd/MDataXtd_PlacementRetrievalDriver.cdl Diff ] File ]
rm - src/MDataXtd/MDataXtd_PlacementRetrievalDriver.cxx Diff ] File ]
rm - src/MDataXtd/MDataXtd_PlacementStorageDriver.cdl Diff ] File ]
rm - src/MDataXtd/MDataXtd_PlacementStorageDriver.cxx Diff ] File ]
rm - src/MDataXtd/MDataXtd_PlaneRetrievalDriver.cdl Diff ] File ]
rm - src/MDataXtd/MDataXtd_PlaneRetrievalDriver.cxx Diff ] File ]
rm - src/MDataXtd/MDataXtd_PlaneStorageDriver.cdl Diff ] File ]
rm - src/MDataXtd/MDataXtd_PlaneStorageDriver.cxx Diff ] File ]
rm - src/MDataXtd/MDataXtd_PointRetrievalDriver.cdl Diff ] File ]
rm - src/MDataXtd/MDataXtd_PointRetrievalDriver.cxx Diff ] File ]
rm - src/MDataXtd/MDataXtd_PointStorageDriver.cdl Diff ] File ]
rm - src/MDataXtd/MDataXtd_PointStorageDriver.cxx Diff ] File ]
rm - src/MDataXtd/MDataXtd_ShapeRetrievalDriver.cdl Diff ] File ]
rm - src/MDataXtd/MDataXtd_ShapeRetrievalDriver.cxx Diff ] File ]
rm - src/MDataXtd/MDataXtd_ShapeStorageDriver.cdl Diff ] File ]
rm - src/MDataXtd/MDataXtd_ShapeStorageDriver.cxx Diff ] File ]
rm - src/MDF/MDF.cdl Diff ] File ]
rm - src/MDF/MDF.cxx Diff ] File ]
rm - src/MDF/MDF_ARDriver.cdl Diff ] File ]
rm - src/MDF/MDF_ARDriver.cxx Diff ] File ]
rm - src/MDF/MDF_ASDriver.cdl Diff ] File ]
rm - src/MDF/MDF_ASDriver.cxx Diff ] File ]
rm - src/MDF/MDF_DriverTable.cdl Diff ] File ]
rm - src/MDF/MDF_DriverTable.gxx Diff ] File ]
rm - src/MDF/MDF_ReferenceRetrievalDriver.cdl Diff ] File ]
rm - src/MDF/MDF_ReferenceRetrievalDriver.cxx Diff ] File ]
rm - src/MDF/MDF_ReferenceStorageDriver.cdl Diff ] File ]
rm - src/MDF/MDF_ReferenceStorageDriver.cxx Diff ] File ]
rm - src/MDF/MDF_RelocationTable.cdl Diff ] File ]
rm - src/MDF/MDF_RelocationTable.gxx Diff ] File ]
rm - src/MDF/MDF_TagSourceRetrievalDriver.cdl Diff ] File ]
rm - src/MDF/MDF_TagSourceRetrievalDriver.cxx Diff ] File ]
rm - src/MDF/MDF_TagSourceStorageDriver.cdl Diff ] File ]
rm - src/MDF/MDF_TagSourceStorageDriver.cxx Diff ] File ]
rm - src/MDF/MDF_Tool.cdl Diff ] File ]
rm - src/MDF/MDF_Tool.cxx Diff ] File ]
rm - src/MDocStd/MDocStd.cdl Diff ] File ]
rm - src/MDocStd/MDocStd.cxx Diff ] File ]
rm - src/MDocStd/MDocStd_DocumentRetrievalDriver.cdl Diff ] File ]
rm - src/MDocStd/MDocStd_DocumentRetrievalDriver.cxx Diff ] File ]
rm - src/MDocStd/MDocStd_DocumentStorageDriver.cdl Diff ] File ]
rm - src/MDocStd/MDocStd_DocumentStorageDriver.cxx Diff ] File ]
rm - src/MDocStd/MDocStd_XLinkRetrievalDriver.cdl Diff ] File ]
rm - src/MDocStd/MDocStd_XLinkRetrievalDriver.cxx Diff ] File ]
rm - src/MDocStd/MDocStd_XLinkStorageDriver.cdl Diff ] File ]
rm - src/MDocStd/MDocStd_XLinkStorageDriver.cxx Diff ] File ]
rm - src/MFunction/MFunction.cdl Diff ] File ]
rm - src/MFunction/MFunction.cxx Diff ] File ]
rm - src/MFunction/MFunction_FunctionRetrievalDriver.cdl Diff ] File ]
rm - src/MFunction/MFunction_FunctionRetrievalDriver.cxx Diff ] File ]
rm - src/MFunction/MFunction_FunctionStorageDriver.cdl Diff ] File ]
rm - src/MFunction/MFunction_FunctionStorageDriver.cxx Diff ] File ]
rm - src/MgtBRep/MgtBRep.cdl Diff ] File ]
rm - src/MgtBRep/MgtBRep.cxx Diff ] File ]
rm - src/MgtBRep/MgtBRep_TranslateTool.cdl Diff ] File ]
rm - src/MgtBRep/MgtBRep_TranslateTool.cxx Diff ] File ]
rm - src/MgtBRep/MgtBRep_TranslateTool1.cdl Diff ] File ]
rm - src/MgtBRep/MgtBRep_TranslateTool1.cxx Diff ] File ]
rm - src/MgtGeom/MgtGeom.cdl Diff ] File ]
rm - src/MgtGeom/MgtGeom.cxx Diff ] File ]
rm - src/MgtGeom2d/MgtGeom2d.cdl Diff ] File ]
rm - src/MgtGeom2d/MgtGeom2d.cxx Diff ] File ]
rm - src/MgtPoly/MgtPoly.cdl Diff ] File ]
rm - src/MgtPoly/MgtPoly.cxx Diff ] File ]
rm - src/MgtTopLoc/MgtTopLoc.cdl Diff ] File ]
rm - src/MgtTopLoc/MgtTopLoc.cxx Diff ] File ]
rm - src/MgtTopoDS/MgtTopoDS.cdl Diff ] File ]
rm - src/MgtTopoDS/MgtTopoDS.cxx Diff ] File ]
rm - src/MgtTopoDS/MgtTopoDS_TranslateTool.cdl Diff ] File ]
rm - src/MgtTopoDS/MgtTopoDS_TranslateTool.cxx Diff ] File ]
rm - src/MgtTopoDS/MgtTopoDS_TranslateTool1.cdl Diff ] File ]
rm - src/MgtTopoDS/MgtTopoDS_TranslateTool1.cxx Diff ] File ]
rm - src/MNaming/MNaming.cdl Diff ] File ]
rm - src/MNaming/MNaming.cxx Diff ] File ]
rm - src/MNaming/MNaming_NamedShapeRetrievalDriver.cdl Diff ] File ]
rm - src/MNaming/MNaming_NamedShapeRetrievalDriver.cxx Diff ] File ]
rm - src/MNaming/MNaming_NamedShapeStorageDriver.cdl Diff ] File ]
rm - src/MNaming/MNaming_NamedShapeStorageDriver.cxx Diff ] File ]
rm - src/MNaming/MNaming_NamingRetrievalDriver.cdl Diff ] File ]
rm - src/MNaming/MNaming_NamingRetrievalDriver.cxx Diff ] File ]
rm - src/MNaming/MNaming_NamingRetrievalDriver_1.cdl Diff ] File ]
rm - src/MNaming/MNaming_NamingRetrievalDriver_1.cxx Diff ] File ]
rm - src/MNaming/MNaming_NamingRetrievalDriver_2.cdl Diff ] File ]
rm - src/MNaming/MNaming_NamingRetrievalDriver_2.cxx Diff ] File ]
rm - src/MNaming/MNaming_NamingStorageDriver.cdl Diff ] File ]
rm - src/MNaming/MNaming_NamingStorageDriver.cxx Diff ] File ]
rm - src/MPrsStd/MPrsStd.cdl Diff ] File ]
rm - src/MPrsStd/MPrsStd.cxx Diff ] File ]
rm - src/MPrsStd/MPrsStd_AISPresentationRetrievalDriver.cdl Diff ] File ]
rm - src/MPrsStd/MPrsStd_AISPresentationRetrievalDriver.cxx Diff ] File ]
rm - src/MPrsStd/MPrsStd_AISPresentationRetrievalDriver_1.cdl Diff ] File ]
rm - src/MPrsStd/MPrsStd_AISPresentationRetrievalDriver_1.cxx Diff ] File ]
rm - src/MPrsStd/MPrsStd_AISPresentationStorageDriver.cdl Diff ] File ]
rm - src/MPrsStd/MPrsStd_AISPresentationStorageDriver.cxx Diff ] File ]
rm - src/MPrsStd/MPrsStd_PositionRetrievalDriver.cdl Diff ] File ]
rm - src/MPrsStd/MPrsStd_PositionRetrievalDriver.cxx Diff ] File ]
rm - src/MPrsStd/MPrsStd_PositionStorageDriver.cdl Diff ] File ]
rm - src/MPrsStd/MPrsStd_PositionStorageDriver.cxx Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc.cdl Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc.cxx Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_AreaRetrievalDriver.cdl Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_AreaRetrievalDriver.cxx Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_AreaStorageDriver.cdl Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_AreaStorageDriver.cxx Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_CentroidRetrievalDriver.cdl Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_CentroidRetrievalDriver.cxx Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_CentroidStorageDriver.cdl Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_CentroidStorageDriver.cxx Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_ColorRetrievalDriver.cdl Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_ColorRetrievalDriver.cxx Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_ColorStorageDriver.cdl Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_ColorStorageDriver.cxx Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_ColorToolRetrievalDriver.cdl Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_ColorToolRetrievalDriver.cxx Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_ColorToolStorageDriver.cdl Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_ColorToolStorageDriver.cxx Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_DatumRetrievalDriver.cdl Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_DatumRetrievalDriver.cxx Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_DatumStorageDriver.cdl Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_DatumStorageDriver.cxx Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_DimTolRetrievalDriver.cdl Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_DimTolRetrievalDriver.cxx Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_DimTolStorageDriver.cdl Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_DimTolStorageDriver.cxx Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_DimTolToolRetrievalDriver.cdl Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_DimTolToolRetrievalDriver.cxx Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_DimTolToolStorageDriver.cdl Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_DimTolToolStorageDriver.cxx Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_DocumentToolRetrievalDriver.cdl Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_DocumentToolRetrievalDriver.cxx Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_DocumentToolStorageDriver.cdl Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_DocumentToolStorageDriver.cxx Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_GraphNodeRetrievalDriver.cdl Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_GraphNodeRetrievalDriver.cxx Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_GraphNodeStorageDriver.cdl Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_GraphNodeStorageDriver.cxx Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_LayerToolRetrievalDriver.cdl Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_LayerToolRetrievalDriver.cxx Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_LayerToolStorageDriver.cdl Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_LayerToolStorageDriver.cxx Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_LocationRetrievalDriver.cdl Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_LocationRetrievalDriver.cxx Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_LocationStorageDriver.cdl Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_LocationStorageDriver.cxx Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_MaterialRetrievalDriver.cdl Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_MaterialRetrievalDriver.cxx Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_MaterialStorageDriver.cdl Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_MaterialStorageDriver.cxx Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_MaterialToolRetrievalDriver.cdl Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_MaterialToolRetrievalDriver.cxx Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_MaterialToolStorageDriver.cdl Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_MaterialToolStorageDriver.cxx Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_ShapeToolRetrievalDriver.cdl Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_ShapeToolRetrievalDriver.cxx Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_ShapeToolStorageDriver.cdl Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_ShapeToolStorageDriver.cxx Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_VolumeRetrievalDriver.cdl Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_VolumeRetrievalDriver.cxx Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_VolumeStorageDriver.cdl Diff ] File ]
rm - src/MXCAFDoc/MXCAFDoc_VolumeStorageDriver.cxx Diff ] File ]
rm - src/ObjMgt/ObjMgt.cdl Diff ] File ]
rm - src/ObjMgt/ObjMgt_ExternRef.cdl Diff ] File ]
rm - src/ObjMgt/ObjMgt_ExternRef.cxx Diff ] File ]
rm - src/ObjMgt/ObjMgt_ExternShareable.cdl Diff ] File ]
rm - src/ObjMgt/ObjMgt_ExternShareable.cxx Diff ] File ]
mod - src/OS/ApplicationFramework.tcl Diff ] File ]
mod - src/OS/DataExchange.tcl Diff ] File ]
rm - src/PBRep/PBRep.cdl Diff ] File ]
rm - src/PBRep/PBRep_Curve3D.cdl Diff ] File ]
rm - src/PBRep/PBRep_Curve3D.cxx Diff ] File ]
rm - src/PBRep/PBRep_CurveOn2Surfaces.cdl Diff ] File ]
rm - src/PBRep/PBRep_CurveOn2Surfaces.cxx Diff ] File ]
rm - src/PBRep/PBRep_CurveOnClosedSurface.cdl Diff ] File ]
rm - src/PBRep/PBRep_CurveOnClosedSurface.cxx Diff ] File ]
rm - src/PBRep/PBRep_CurveOnSurface.cdl Diff ] File ]
rm - src/PBRep/PBRep_CurveOnSurface.cxx Diff ] File ]
rm - src/PBRep/PBRep_CurveRepresentation.cdl Diff ] File ]
rm - src/PBRep/PBRep_CurveRepresentation.cxx Diff ] File ]
rm - src/PBRep/PBRep_GCurve.cdl Diff ] File ]
rm - src/PBRep/PBRep_GCurve.cxx Diff ] File ]
rm - src/PBRep/PBRep_PointOnCurve.cdl Diff ] File ]
rm - src/PBRep/PBRep_PointOnCurve.cxx Diff ] File ]
rm - src/PBRep/PBRep_PointOnCurveOnSurface.cdl Diff ] File ]
rm - src/PBRep/PBRep_PointOnCurveOnSurface.cxx Diff ] File ]
rm - src/PBRep/PBRep_PointOnSurface.cdl Diff ] File ]
rm - src/PBRep/PBRep_PointOnSurface.cxx Diff ] File ]
rm - src/PBRep/PBRep_PointRepresentation.cdl Diff ] File ]
rm - src/PBRep/PBRep_PointRepresentation.cxx Diff ] File ]
rm - src/PBRep/PBRep_PointsOnSurface.cdl Diff ] File ]
rm - src/PBRep/PBRep_PointsOnSurface.cxx Diff ] File ]
rm - src/PBRep/PBRep_Polygon3D.cdl Diff ] File ]
rm - src/PBRep/PBRep_Polygon3D.cxx Diff ] File ]
rm - src/PBRep/PBRep_PolygonOnClosedSurface.cdl Diff ] File ]
rm - src/PBRep/PBRep_PolygonOnClosedSurface.cxx Diff ] File ]
rm - src/PBRep/PBRep_PolygonOnClosedTriangulation.cdl Diff ] File ]
rm - src/PBRep/PBRep_PolygonOnClosedTriangulation.cxx Diff ] File ]
rm - src/PBRep/PBRep_PolygonOnSurface.cdl Diff ] File ]
rm - src/PBRep/PBRep_PolygonOnSurface.cxx Diff ] File ]
rm - src/PBRep/PBRep_PolygonOnTriangulation.cdl Diff ] File ]
rm - src/PBRep/PBRep_PolygonOnTriangulation.cxx Diff ] File ]
rm - src/PBRep/PBRep_TEdge.cdl Diff ] File ]
rm - src/PBRep/PBRep_TEdge.cxx Diff ] File ]
rm - src/PBRep/PBRep_TEdge1.cdl Diff ] File ]
rm - src/PBRep/PBRep_TEdge1.cxx Diff ] File ]
rm - src/PBRep/PBRep_TFace.cdl Diff ] File ]
rm - src/PBRep/PBRep_TFace.cxx Diff ] File ]
rm - src/PBRep/PBRep_TFace1.cdl Diff ] File ]
rm - src/PBRep/PBRep_TFace1.cxx Diff ] File ]
rm - src/PBRep/PBRep_TVertex.cdl Diff ] File ]
rm - src/PBRep/PBRep_TVertex.cxx Diff ] File ]
rm - src/PBRep/PBRep_TVertex1.cdl Diff ] File ]
rm - src/PBRep/PBRep_TVertex1.cxx Diff ] File ]
rm - src/PCDMShape/PCDMShape.cdl Diff ] File ]
rm - src/PCDMShape/PCDMShape_Document.cdl Diff ] File ]
rm - src/PCDMShape/PCDMShape_Document.cxx Diff ] File ]
rm - src/PColgp/PColgp.cdl Diff ] File ]
rm - src/PCollection/PCollection.cdl Diff ] File ]
rm - src/PCollection/PCollection_HArray1.cdl Diff ] File ]
rm - src/PCollection/PCollection_HArray1.gxx Diff ] File ]
rm - src/PCollection/PCollection_HArray1.lxx Diff ] File ]
rm - src/PCollection/PCollection_HArray2.cdl Diff ] File ]
rm - src/PCollection/PCollection_HArray2.gxx Diff ] File ]
rm - src/PCollection/PCollection_HArray2.lxx Diff ] File ]
rm - src/PCollection/PCollection_HAsciiString.cdl Diff ] File ]
rm - src/PCollection/PCollection_HAsciiString.cxx Diff ] File ]
rm - src/PCollection/PCollection_HExtendedString.cdl Diff ] File ]
rm - src/PCollection/PCollection_HExtendedString.cxx Diff ] File ]
rm - src/PCollection/PCollection_HSequence.cdl Diff ] File ]
rm - src/PCollection/PCollection_HSequence.gxx Diff ] File ]
rm - src/PCollection/PCollection_SeqExplorer.gxx Diff ] File ]
rm - src/PCollection/PCollection_SeqNode.gxx Diff ] File ]
rm - src/PColStd/PColStd.cdl Diff ] File ]
rm - src/PDataStd/PDataStd.cdl Diff ] File ]
rm - src/PDataStd/PDataStd_AsciiString.cdl Diff ] File ]
rm - src/PDataStd/PDataStd_AsciiString.cxx Diff ] File ]
rm - src/PDataStd/PDataStd_BooleanArray.cdl Diff ] File ]
rm - src/PDataStd/PDataStd_BooleanArray.cxx Diff ] File ]
rm - src/PDataStd/PDataStd_BooleanList.cdl Diff ] File ]
rm - src/PDataStd/PDataStd_BooleanList.cxx Diff ] File ]
rm - src/PDataStd/PDataStd_ByteArray.cdl Diff ] File ]
rm - src/PDataStd/PDataStd_ByteArray.cxx Diff ] File ]
rm - src/PDataStd/PDataStd_ByteArray_1.cdl Diff ] File ]
rm - src/PDataStd/PDataStd_ByteArray_1.cxx Diff ] File ]
rm - src/PDataStd/PDataStd_Comment.cdl Diff ] File ]
rm - src/PDataStd/PDataStd_Comment.cxx Diff ] File ]
rm - src/PDataStd/PDataStd_Directory.cdl Diff ] File ]
rm - src/PDataStd/PDataStd_Directory.cxx Diff ] File ]
rm - src/PDataStd/PDataStd_Expression.cdl Diff ] File ]
rm - src/PDataStd/PDataStd_Expression.cxx Diff ] File ]
rm - src/PDataStd/PDataStd_ExtStringArray.cdl Diff ] File ]
rm - src/PDataStd/PDataStd_ExtStringArray.cxx Diff ] File ]
rm - src/PDataStd/PDataStd_ExtStringArray_1.cdl Diff ] File ]
rm - src/PDataStd/PDataStd_ExtStringArray_1.cxx Diff ] File ]
rm - src/PDataStd/PDataStd_ExtStringList.cdl Diff ] File ]
rm - src/PDataStd/PDataStd_ExtStringList.cxx Diff ] File ]
rm - src/PDataStd/PDataStd_Integer.cdl Diff ] File ]
rm - src/PDataStd/PDataStd_Integer.cxx Diff ] File ]
rm - src/PDataStd/PDataStd_IntegerArray.cdl Diff ] File ]
rm - src/PDataStd/PDataStd_IntegerArray.cxx Diff ] File ]
rm - src/PDataStd/PDataStd_IntegerArray_1.cdl Diff ] File ]
rm - src/PDataStd/PDataStd_IntegerArray_1.cxx Diff ] File ]
rm - src/PDataStd/PDataStd_IntegerList.cdl Diff ] File ]
rm - src/PDataStd/PDataStd_IntegerList.cxx Diff ] File ]
rm - src/PDataStd/PDataStd_IntPackedMap.cdl Diff ] File ]
rm - src/PDataStd/PDataStd_IntPackedMap.cxx Diff ] File ]
rm - src/PDataStd/PDataStd_IntPackedMap_1.cdl Diff ] File ]
rm - src/PDataStd/PDataStd_IntPackedMap_1.cxx Diff ] File ]
rm - src/PDataStd/PDataStd_Name.cdl Diff ] File ]
rm - src/PDataStd/PDataStd_Name.cxx Diff ] File ]
rm - src/PDataStd/PDataStd_NamedData.cdl Diff ] File ]
rm - src/PDataStd/PDataStd_NamedData.cxx Diff ] File ]
rm - src/PDataStd/PDataStd_NoteBook.cdl Diff ] File ]
rm - src/PDataStd/PDataStd_NoteBook.cxx Diff ] File ]
rm - src/PDataStd/PDataStd_Real.cdl Diff ] File ]
rm - src/PDataStd/PDataStd_Real.cxx Diff ] File ]
rm - src/PDataStd/PDataStd_RealArray.cdl Diff ] File ]
rm - src/PDataStd/PDataStd_RealArray.cxx Diff ] File ]
rm - src/PDataStd/PDataStd_RealArray_1.cdl Diff ] File ]
rm - src/PDataStd/PDataStd_RealArray_1.cxx Diff ] File ]
rm - src/PDataStd/PDataStd_RealList.cdl Diff ] File ]
rm - src/PDataStd/PDataStd_RealList.cxx Diff ] File ]
rm - src/PDataStd/PDataStd_ReferenceArray.cdl Diff ] File ]
rm - src/PDataStd/PDataStd_ReferenceArray.cxx Diff ] File ]
rm - src/PDataStd/PDataStd_ReferenceList.cdl Diff ] File ]
rm - src/PDataStd/PDataStd_ReferenceList.cxx Diff ] File ]
rm - src/PDataStd/PDataStd_Relation.cdl Diff ] File ]
rm - src/PDataStd/PDataStd_Relation.cxx Diff ] File ]
rm - src/PDataStd/PDataStd_Tick.cdl Diff ] File ]
rm - src/PDataStd/PDataStd_Tick.cxx Diff ] File ]
rm - src/PDataStd/PDataStd_TreeNode.cdl Diff ] File ]
rm - src/PDataStd/PDataStd_TreeNode.cxx Diff ] File ]
rm - src/PDataStd/PDataStd_UAttribute.cdl Diff ] File ]
rm - src/PDataStd/PDataStd_UAttribute.cxx Diff ] File ]
rm - src/PDataStd/PDataStd_Variable.cdl Diff ] File ]
rm - src/PDataStd/PDataStd_Variable.cxx Diff ] File ]
rm - src/PDataXtd/PDataXtd.cdl Diff ] File ]
rm - src/PDataXtd/PDataXtd_Axis.cdl Diff ] File ]
rm - src/PDataXtd/PDataXtd_Axis.cxx Diff ] File ]
rm - src/PDataXtd/PDataXtd_Constraint.cdl Diff ] File ]
rm - src/PDataXtd/PDataXtd_Constraint.cxx Diff ] File ]
rm - src/PDataXtd/PDataXtd_Geometry.cdl Diff ] File ]
rm - src/PDataXtd/PDataXtd_Geometry.cxx Diff ] File ]
rm - src/PDataXtd/PDataXtd_PatternStd.cdl Diff ] File ]
rm - src/PDataXtd/PDataXtd_PatternStd.cxx Diff ] File ]
rm - src/PDataXtd/PDataXtd_PatternStd.lxx Diff ] File ]
rm - src/PDataXtd/PDataXtd_Placement.cdl Diff ] File ]
rm - src/PDataXtd/PDataXtd_Placement.cxx Diff ] File ]
rm - src/PDataXtd/PDataXtd_Plane.cdl Diff ] File ]
rm - src/PDataXtd/PDataXtd_Plane.cxx Diff ] File ]
rm - src/PDataXtd/PDataXtd_Point.cdl Diff ] File ]
rm - src/PDataXtd/PDataXtd_Point.cxx Diff ] File ]
rm - src/PDataXtd/PDataXtd_Position.cdl Diff ] File ]
rm - src/PDataXtd/PDataXtd_Position.cxx Diff ] File ]
rm - src/PDataXtd/PDataXtd_Position.lxx Diff ] File ]
rm - src/PDataXtd/PDataXtd_Shape.cdl Diff ] File ]
rm - src/PDataXtd/PDataXtd_Shape.cxx Diff ] File ]
rm - src/PDF/PDF.cdl Diff ] File ]
rm - src/PDF/PDF_Attribute.cdl Diff ] File ]
rm - src/PDF/PDF_Attribute.cxx Diff ] File ]
rm - src/PDF/PDF_Data.cdl Diff ] File ]
rm - src/PDF/PDF_Data.cxx Diff ] File ]
rm - src/PDF/PDF_Data.lxx Diff ] File ]
rm - src/PDF/PDF_Reference.cdl Diff ] File ]
rm - src/PDF/PDF_Reference.cxx Diff ] File ]
rm - src/PDF/PDF_TagSource.cdl Diff ] File ]
rm - src/PDF/PDF_TagSource.cxx Diff ] File ]
rm - src/PDocStd/PDocStd.cdl Diff ] File ]
rm - src/PDocStd/PDocStd_Document.cdl Diff ] File ]
rm - src/PDocStd/PDocStd_Document.cxx Diff ] File ]
rm - src/PDocStd/PDocStd_XLink.cdl Diff ] File ]
rm - src/PDocStd/PDocStd_XLink.cxx Diff ] File ]
rm - src/PFunction/PFunction.cdl Diff ] File ]
rm - src/PFunction/PFunction_Function.cdl Diff ] File ]
rm - src/PFunction/PFunction_Function.cxx Diff ] File ]
rm - src/PGeom/PGeom.cdl Diff ] File ]
rm - src/PGeom/PGeom_Axis1Placement.cdl Diff ] File ]
rm - src/PGeom/PGeom_Axis1Placement.cxx Diff ] File ]
rm - src/PGeom/PGeom_Axis2Placement.cdl Diff ] File ]
rm - src/PGeom/PGeom_Axis2Placement.cxx Diff ] File ]
rm - src/PGeom/PGeom_AxisPlacement.cdl Diff ] File ]
rm - src/PGeom/PGeom_AxisPlacement.cxx Diff ] File ]
rm - src/PGeom/PGeom_BezierCurve.cdl Diff ] File ]
rm - src/PGeom/PGeom_BezierCurve.cxx Diff ] File ]
rm - src/PGeom/PGeom_BezierSurface.cdl Diff ] File ]
rm - src/PGeom/PGeom_BezierSurface.cxx Diff ] File ]
rm - src/PGeom/PGeom_BoundedCurve.cdl Diff ] File ]
rm - src/PGeom/PGeom_BoundedCurve.cxx Diff ] File ]
rm - src/PGeom/PGeom_BoundedSurface.cdl Diff ] File ]
rm - src/PGeom/PGeom_BoundedSurface.cxx Diff ] File ]
rm - src/PGeom/PGeom_BSplineCurve.cdl Diff ] File ]
rm - src/PGeom/PGeom_BSplineCurve.cxx Diff ] File ]
rm - src/PGeom/PGeom_BSplineSurface.cdl Diff ] File ]
rm - src/PGeom/PGeom_BSplineSurface.cxx Diff ] File ]
rm - src/PGeom/PGeom_CartesianPoint.cdl Diff ] File ]
rm - src/PGeom/PGeom_CartesianPoint.cxx Diff ] File ]
rm - src/PGeom/PGeom_Circle.cdl Diff ] File ]
rm - src/PGeom/PGeom_Circle.cxx Diff ] File ]
rm - src/PGeom/PGeom_Conic.cdl Diff ] File ]
rm - src/PGeom/PGeom_Conic.cxx Diff ] File ]
rm - src/PGeom/PGeom_ConicalSurface.cdl Diff ] File ]
rm - src/PGeom/PGeom_ConicalSurface.cxx Diff ] File ]
rm - src/PGeom/PGeom_Curve.cdl Diff ] File ]
rm - src/PGeom/PGeom_Curve.cxx Diff ] File ]
rm - src/PGeom/PGeom_CylindricalSurface.cdl Diff ] File ]
rm - src/PGeom/PGeom_CylindricalSurface.cxx Diff ] File ]
rm - src/PGeom/PGeom_Direction.cdl Diff ] File ]
rm - src/PGeom/PGeom_Direction.cxx Diff ] File ]
rm - src/PGeom/PGeom_ElementarySurface.cdl Diff ] File ]
rm - src/PGeom/PGeom_ElementarySurface.cxx Diff ] File ]
rm - src/PGeom/PGeom_Ellipse.cdl Diff ] File ]
rm - src/PGeom/PGeom_Ellipse.cxx Diff ] File ]
rm - src/PGeom/PGeom_Geometry.cdl Diff ] File ]
rm - src/PGeom/PGeom_Geometry.cxx Diff ] File ]
rm - src/PGeom/PGeom_Hyperbola.cdl Diff ] File ]
rm - src/PGeom/PGeom_Hyperbola.cxx Diff ] File ]
rm - src/PGeom/PGeom_Line.cdl Diff ] File ]
rm - src/PGeom/PGeom_Line.cxx Diff ] File ]
rm - src/PGeom/PGeom_OffsetCurve.cdl Diff ] File ]
rm - src/PGeom/PGeom_OffsetCurve.cxx Diff ] File ]
rm - src/PGeom/PGeom_OffsetSurface.cdl Diff ] File ]
rm - src/PGeom/PGeom_OffsetSurface.cxx Diff ] File ]
rm - src/PGeom/PGeom_Parabola.cdl Diff ] File ]
rm - src/PGeom/PGeom_Parabola.cxx Diff ] File ]
rm - src/PGeom/PGeom_Plane.cdl Diff ] File ]
rm - src/PGeom/PGeom_Plane.cxx Diff ] File ]
rm - src/PGeom/PGeom_Point.cdl Diff ] File ]
rm - src/PGeom/PGeom_Point.cxx Diff ] File ]
rm - src/PGeom/PGeom_RectangularTrimmedSurface.cdl Diff ] File ]
rm - src/PGeom/PGeom_RectangularTrimmedSurface.cxx Diff ] File ]
rm - src/PGeom/PGeom_SphericalSurface.cdl Diff ] File ]
rm - src/PGeom/PGeom_SphericalSurface.cxx Diff ] File ]
rm - src/PGeom/PGeom_Surface.cdl Diff ] File ]
rm - src/PGeom/PGeom_Surface.cxx Diff ] File ]
rm - src/PGeom/PGeom_SurfaceOfLinearExtrusion.cdl Diff ] File ]
rm - src/PGeom/PGeom_SurfaceOfLinearExtrusion.cxx Diff ] File ]
rm - src/PGeom/PGeom_SurfaceOfRevolution.cdl Diff ] File ]
rm - src/PGeom/PGeom_SurfaceOfRevolution.cxx Diff ] File ]
rm - src/PGeom/PGeom_SweptSurface.cdl Diff ] File ]
rm - src/PGeom/PGeom_SweptSurface.cxx Diff ] File ]
rm - src/PGeom/PGeom_ToroidalSurface.cdl Diff ] File ]
rm - src/PGeom/PGeom_ToroidalSurface.cxx Diff ] File ]
rm - src/PGeom/PGeom_Transformation.cdl Diff ] File ]
rm - src/PGeom/PGeom_Transformation.cxx Diff ] File ]
rm - src/PGeom/PGeom_TrimmedCurve.cdl Diff ] File ]
rm - src/PGeom/PGeom_TrimmedCurve.cxx Diff ] File ]
rm - src/PGeom/PGeom_Vector.cdl Diff ] File ]
rm - src/PGeom/PGeom_Vector.cxx Diff ] File ]
rm - src/PGeom/PGeom_VectorWithMagnitude.cdl Diff ] File ]
rm - src/PGeom/PGeom_VectorWithMagnitude.cxx Diff ] File ]
rm - src/PGeom2d/PGeom2d.cdl Diff ] File ]
rm - src/PGeom2d/PGeom2d_AxisPlacement.cdl Diff ] File ]
rm - src/PGeom2d/PGeom2d_AxisPlacement.cxx Diff ] File ]
rm - src/PGeom2d/PGeom2d_BezierCurve.cdl Diff ] File ]
rm - src/PGeom2d/PGeom2d_BezierCurve.cxx Diff ] File ]
rm - src/PGeom2d/PGeom2d_BoundedCurve.cdl Diff ] File ]
rm - src/PGeom2d/PGeom2d_BoundedCurve.cxx Diff ] File ]
rm - src/PGeom2d/PGeom2d_BSplineCurve.cdl Diff ] File ]
rm - src/PGeom2d/PGeom2d_BSplineCurve.cxx Diff ] File ]
rm - src/PGeom2d/PGeom2d_CartesianPoint.cdl Diff ] File ]
rm - src/PGeom2d/PGeom2d_CartesianPoint.cxx Diff ] File ]
rm - src/PGeom2d/PGeom2d_Circle.cdl Diff ] File ]
rm - src/PGeom2d/PGeom2d_Circle.cxx Diff ] File ]
rm - src/PGeom2d/PGeom2d_Conic.cdl Diff ] File ]
rm - src/PGeom2d/PGeom2d_Conic.cxx Diff ] File ]
rm - src/PGeom2d/PGeom2d_Curve.cdl Diff ] File ]
rm - src/PGeom2d/PGeom2d_Curve.cxx Diff ] File ]
rm - src/PGeom2d/PGeom2d_Direction.cdl Diff ] File ]
rm - src/PGeom2d/PGeom2d_Direction.cxx Diff ] File ]
rm - src/PGeom2d/PGeom2d_Ellipse.cdl Diff ] File ]
rm - src/PGeom2d/PGeom2d_Ellipse.cxx Diff ] File ]
rm - src/PGeom2d/PGeom2d_Geometry.cdl Diff ] File ]
rm - src/PGeom2d/PGeom2d_Geometry.cxx Diff ] File ]
rm - src/PGeom2d/PGeom2d_Hyperbola.cdl Diff ] File ]
rm - src/PGeom2d/PGeom2d_Hyperbola.cxx Diff ] File ]
rm - src/PGeom2d/PGeom2d_Line.cdl Diff ] File ]
rm - src/PGeom2d/PGeom2d_Line.cxx Diff ] File ]
rm - src/PGeom2d/PGeom2d_OffsetCurve.cdl Diff ] File ]
rm - src/PGeom2d/PGeom2d_OffsetCurve.cxx Diff ] File ]
rm - src/PGeom2d/PGeom2d_Parabola.cdl Diff ] File ]
rm - src/PGeom2d/PGeom2d_Parabola.cxx Diff ] File ]
rm - src/PGeom2d/PGeom2d_Point.cdl Diff ] File ]
rm - src/PGeom2d/PGeom2d_Point.cxx Diff ] File ]
rm - src/PGeom2d/PGeom2d_Transformation.cdl Diff ] File ]
rm - src/PGeom2d/PGeom2d_Transformation.cxx Diff ] File ]
rm - src/PGeom2d/PGeom2d_TrimmedCurve.cdl Diff ] File ]
rm - src/PGeom2d/PGeom2d_TrimmedCurve.cxx Diff ] File ]
rm - src/PGeom2d/PGeom2d_Vector.cdl Diff ] File ]
rm - src/PGeom2d/PGeom2d_Vector.cxx Diff ] File ]
rm - src/PGeom2d/PGeom2d_VectorWithMagnitude.cdl Diff ] File ]
rm - src/PGeom2d/PGeom2d_VectorWithMagnitude.cxx Diff ] File ]
rm - src/PMMgt/FILES Diff ] File ]
rm - src/PMMgt/PMMgt.cdl Diff ] File ]
rm - src/PMMgt/PMMgt_InsertDelete.tcl Diff ] File ]
rm - src/PMMgt/PMMgt_PManaged.cdl Diff ] File ]
rm - src/PMMgt/PMMgt_PManaged.cxx Diff ] File ]
rm - src/PMMgt/PMMgt_WOKSteps.edl Diff ] File ]
rm - src/PNaming/PNaming.cdl Diff ] File ]
rm - src/PNaming/PNaming_Name.cdl Diff ] File ]
rm - src/PNaming/PNaming_Name.cxx Diff ] File ]
rm - src/PNaming/PNaming_Name.lxx Diff ] File ]
rm - src/PNaming/PNaming_NamedShape.cdl Diff ] File ]
rm - src/PNaming/PNaming_NamedShape.cxx Diff ] File ]
rm - src/PNaming/PNaming_Name_1.cdl Diff ] File ]
rm - src/PNaming/PNaming_Name_1.cxx Diff ] File ]
rm - src/PNaming/PNaming_Name_1.lxx Diff ] File ]
rm - src/PNaming/PNaming_Name_2.cdl Diff ] File ]
rm - src/PNaming/PNaming_Name_2.cxx Diff ] File ]
rm - src/PNaming/PNaming_Name_2.lxx Diff ] File ]
rm - src/PNaming/PNaming_Naming.cdl Diff ] File ]
rm - src/PNaming/PNaming_Naming.cxx Diff ] File ]
rm - src/PNaming/PNaming_Naming_1.cdl Diff ] File ]
rm - src/PNaming/PNaming_Naming_1.cxx Diff ] File ]
rm - src/PNaming/PNaming_Naming_2.cdl Diff ] File ]
rm - src/PNaming/PNaming_Naming_2.cxx Diff ] File ]
rm - src/PPoly/PPoly.cdl Diff ] File ]
rm - src/PPoly/PPoly_Polygon2D.cdl Diff ] File ]
rm - src/PPoly/PPoly_Polygon2D.cxx Diff ] File ]
rm - src/PPoly/PPoly_Polygon3D.cdl Diff ] File ]
rm - src/PPoly/PPoly_Polygon3D.cxx Diff ] File ]
rm - src/PPoly/PPoly_PolygonOnTriangulation.cdl Diff ] File ]
rm - src/PPoly/PPoly_PolygonOnTriangulation.cxx Diff ] File ]
rm - src/PPoly/PPoly_Triangle.cdl Diff ] File ]
rm - src/PPoly/PPoly_Triangle.cxx Diff ] File ]
rm - src/PPoly/PPoly_Triangulation.cdl Diff ] File ]
rm - src/PPoly/PPoly_Triangulation.cxx Diff ] File ]
rm - src/PPrsStd/PPrsStd.cdl Diff ] File ]
rm - src/PPrsStd/PPrsStd_AISPresentation.cdl Diff ] File ]
rm - src/PPrsStd/PPrsStd_AISPresentation.cxx Diff ] File ]
rm - src/PPrsStd/PPrsStd_AISPresentation_1.cdl Diff ] File ]
rm - src/PPrsStd/PPrsStd_AISPresentation_1.cxx Diff ] File ]
rm - src/PShort/PShort.cdl Diff ] File ]
rm - src/PStandard/PStandard.cdl Diff ] File ]
rm - src/PStandard/PStandard_ArrayNode.cdl Diff ] File ]
rm - src/PStandard/PStandard_ArrayNode.cxx Diff ] File ]
rm - src/PTColStd/PTColStd.cdl Diff ] File ]
rm - src/PTKernel/EXTERNLIB Diff ] File ]
rm - src/PTKernel/FILES Diff ] File ]
rm - src/PTKernel/PACKAGES Diff ] File ]
rm - src/PTopLoc/PTopLoc.cdl Diff ] File ]
rm - src/PTopLoc/PTopLoc_Datum3D.cdl Diff ] File ]
rm - src/PTopLoc/PTopLoc_Datum3D.cxx Diff ] File ]
rm - src/PTopLoc/PTopLoc_ItemLocation.cdl Diff ] File ]
rm - src/PTopLoc/PTopLoc_ItemLocation.cxx Diff ] File ]
rm - src/PTopLoc/PTopLoc_Location.cdl Diff ] File ]
rm - src/PTopLoc/PTopLoc_Location.cxx Diff ] File ]
rm - src/PTopoDS/PTopoDS.cdl Diff ] File ]
rm - src/PTopoDS/PTopoDS_Compound.cdl Diff ] File ]
rm - src/PTopoDS/PTopoDS_Compound.cxx Diff ] File ]
rm - src/PTopoDS/PTopoDS_CompSolid.cdl Diff ] File ]
rm - src/PTopoDS/PTopoDS_CompSolid.cxx Diff ] File ]
rm - src/PTopoDS/PTopoDS_Edge.cdl Diff ] File ]
rm - src/PTopoDS/PTopoDS_Edge.cxx Diff ] File ]
rm - src/PTopoDS/PTopoDS_Face.cdl Diff ] File ]
rm - src/PTopoDS/PTopoDS_Face.cxx Diff ] File ]
rm - src/PTopoDS/PTopoDS_HShape.cdl Diff ] File ]
rm - src/PTopoDS/PTopoDS_HShape.cxx Diff ] File ]
rm - src/PTopoDS/PTopoDS_Shape1.cdl Diff ] File ]
rm - src/PTopoDS/PTopoDS_Shape1.cxx Diff ] File ]
rm - src/PTopoDS/PTopoDS_Shell.cdl Diff ] File ]
rm - src/PTopoDS/PTopoDS_Shell.cxx Diff ] File ]
rm - src/PTopoDS/PTopoDS_Solid.cdl Diff ] File ]
rm - src/PTopoDS/PTopoDS_Solid.cxx Diff ] File ]
rm - src/PTopoDS/PTopoDS_TCompound.cdl Diff ] File ]
rm - src/PTopoDS/PTopoDS_TCompound.cxx Diff ] File ]
rm - src/PTopoDS/PTopoDS_TCompound1.cdl Diff ] File ]
rm - src/PTopoDS/PTopoDS_TCompound1.cxx Diff ] File ]
rm - src/PTopoDS/PTopoDS_TCompSolid.cdl Diff ] File ]
rm - src/PTopoDS/PTopoDS_TCompSolid.cxx Diff ] File ]
rm - src/PTopoDS/PTopoDS_TCompSolid1.cdl Diff ] File ]
rm - src/PTopoDS/PTopoDS_TCompSolid1.cxx Diff ] File ]
rm - src/PTopoDS/PTopoDS_TEdge.cdl Diff ] File ]
rm - src/PTopoDS/PTopoDS_TEdge.cxx Diff ] File ]
rm - src/PTopoDS/PTopoDS_TEdge1.cdl Diff ] File ]
rm - src/PTopoDS/PTopoDS_TEdge1.cxx Diff ] File ]
rm - src/PTopoDS/PTopoDS_TFace.cdl Diff ] File ]
rm - src/PTopoDS/PTopoDS_TFace.cxx Diff ] File ]
rm - src/PTopoDS/PTopoDS_TFace1.cdl Diff ] File ]
rm - src/PTopoDS/PTopoDS_TFace1.cxx Diff ] File ]
rm - src/PTopoDS/PTopoDS_TShape.cdl Diff ] File ]
rm - src/PTopoDS/PTopoDS_TShape.cxx Diff ] File ]
rm - src/PTopoDS/PTopoDS_TShape1.cdl Diff ] File ]
rm - src/PTopoDS/PTopoDS_TShape1.cxx Diff ] File ]
rm - src/PTopoDS/PTopoDS_TShell.cdl Diff ] File ]
rm - src/PTopoDS/PTopoDS_TShell.cxx Diff ] File ]
rm - src/PTopoDS/PTopoDS_TShell1.cdl Diff ] File ]
rm - src/PTopoDS/PTopoDS_TShell1.cxx Diff ] File ]
rm - src/PTopoDS/PTopoDS_TSolid.cdl Diff ] File ]
rm - src/PTopoDS/PTopoDS_TSolid.cxx Diff ] File ]
rm - src/PTopoDS/PTopoDS_TSolid1.cdl Diff ] File ]
rm - src/PTopoDS/PTopoDS_TSolid1.cxx Diff ] File ]
rm - src/PTopoDS/PTopoDS_TVertex.cdl Diff ] File ]
rm - src/PTopoDS/PTopoDS_TVertex.cxx Diff ] File ]
rm - src/PTopoDS/PTopoDS_TVertex1.cdl Diff ] File ]
rm - src/PTopoDS/PTopoDS_TVertex1.cxx Diff ] File ]
rm - src/PTopoDS/PTopoDS_TWire.cdl Diff ] File ]
rm - src/PTopoDS/PTopoDS_TWire.cxx Diff ] File ]
rm - src/PTopoDS/PTopoDS_TWire1.cdl Diff ] File ]
rm - src/PTopoDS/PTopoDS_TWire1.cxx Diff ] File ]
rm - src/PTopoDS/PTopoDS_Vertex.cdl Diff ] File ]
rm - src/PTopoDS/PTopoDS_Vertex.cxx Diff ] File ]
rm - src/PTopoDS/PTopoDS_Wire.cdl Diff ] File ]
rm - src/PTopoDS/PTopoDS_Wire.cxx Diff ] File ]
rm - src/PXCAFDoc/PXCAFDoc.cdl Diff ] File ]
rm - src/PXCAFDoc/PXCAFDoc_Area.cdl Diff ] File ]
rm - src/PXCAFDoc/PXCAFDoc_Area.cxx Diff ] File ]
rm - src/PXCAFDoc/PXCAFDoc_Centroid.cdl Diff ] File ]
rm - src/PXCAFDoc/PXCAFDoc_Centroid.cxx Diff ] File ]
rm - src/PXCAFDoc/PXCAFDoc_Color.cdl Diff ] File ]
rm - src/PXCAFDoc/PXCAFDoc_Color.cxx Diff ] File ]
rm - src/PXCAFDoc/PXCAFDoc_ColorTool.cdl Diff ] File ]
rm - src/PXCAFDoc/PXCAFDoc_ColorTool.cxx Diff ] File ]
rm - src/PXCAFDoc/PXCAFDoc_Datum.cdl Diff ] File ]
rm - src/PXCAFDoc/PXCAFDoc_Datum.cxx Diff ] File ]
rm - src/PXCAFDoc/PXCAFDoc_DimTol.cdl Diff ] File ]
rm - src/PXCAFDoc/PXCAFDoc_DimTol.cxx Diff ] File ]
rm - src/PXCAFDoc/PXCAFDoc_DimTolTool.cdl Diff ] File ]
rm - src/PXCAFDoc/PXCAFDoc_DimTolTool.cxx Diff ] File ]
rm - src/PXCAFDoc/PXCAFDoc_DocumentTool.cdl Diff ] File ]
rm - src/PXCAFDoc/PXCAFDoc_DocumentTool.cxx Diff ] File ]
rm - src/PXCAFDoc/PXCAFDoc_GraphNode.cdl Diff ] File ]
rm - src/PXCAFDoc/PXCAFDoc_GraphNode.cxx Diff ] File ]
rm - src/PXCAFDoc/PXCAFDoc_LayerTool.cdl Diff ] File ]
rm - src/PXCAFDoc/PXCAFDoc_LayerTool.cxx Diff ] File ]
rm - src/PXCAFDoc/PXCAFDoc_Location.cdl Diff ] File ]
rm - src/PXCAFDoc/PXCAFDoc_Location.cxx Diff ] File ]
rm - src/PXCAFDoc/PXCAFDoc_Material.cdl Diff ] File ]
rm - src/PXCAFDoc/PXCAFDoc_Material.cxx Diff ] File ]
rm - src/PXCAFDoc/PXCAFDoc_MaterialTool.cdl Diff ] File ]
rm - src/PXCAFDoc/PXCAFDoc_MaterialTool.cxx Diff ] File ]
rm - src/PXCAFDoc/PXCAFDoc_ShapeTool.cdl Diff ] File ]
rm - src/PXCAFDoc/PXCAFDoc_ShapeTool.cxx Diff ] File ]
rm - src/PXCAFDoc/PXCAFDoc_Volume.cdl Diff ] File ]
rm - src/PXCAFDoc/PXCAFDoc_Volume.cxx Diff ] File ]
mod - src/QABugs/QABugs_11.cxx Diff ] File ]
mod - src/QABugs/QABugs_18.cxx Diff ] File ]
mod - src/QABugs/QABugs_19.cxx Diff ] File ]
rm - src/ShapeSchema/FILES Diff ] File ]
rm - src/ShapeSchema/ShapeSchema.cdl Diff ] File ]
rm - src/ShapeSchema/ShapeSchema_CMPLRS.edl Diff ] File ]
rm - src/StdDrivers/StdDrivers.cdl Diff ] File ]
rm - src/StdDrivers/StdDrivers.cxx Diff ] File ]
rm - src/StdDrivers/StdDrivers_DocumentRetrievalDriver.cdl Diff ] File ]
rm - src/StdDrivers/StdDrivers_DocumentRetrievalDriver.cxx Diff ] File ]
rm - src/StdDrivers/StdDrivers_DocumentStorageDriver.cdl Diff ] File ]
rm - src/StdDrivers/StdDrivers_DocumentStorageDriver.cxx Diff ] File ]
rm - src/StdLDrivers/StdLDrivers.cdl Diff ] File ]
rm - src/StdLDrivers/StdLDrivers.cxx Diff ] File ]
rm - src/StdLDrivers/StdLDrivers_DocumentRetrievalDriver.cdl Diff ] File ]
rm - src/StdLDrivers/StdLDrivers_DocumentRetrievalDriver.cxx Diff ] File ]
rm - src/StdLDrivers/StdLDrivers_DocumentStorageDriver.cdl Diff ] File ]
rm - src/StdLDrivers/StdLDrivers_DocumentStorageDriver.cxx Diff ] File ]
rm - src/StdLSchema/FILES Diff ] File ]
rm - src/StdLSchema/StdLSchema.cdl Diff ] File ]
rm - src/StdLSchema/StdLSchema_CMPLRS.edl Diff ] File ]
mod - src/StdResource/FILES Diff ] File ]
rm - src/StdResource/MDTV-Standard.xwd Diff ] File ]
rm - src/StdResource/MigrationSheet.txt Diff ] File ]
mod - src/StdResource/Plugin Diff ] File ]
mod - src/StdResource/Standard Diff ] File ]
rm - src/StdResource/Standard.us Diff ] File ]
mod - src/StdResource/StandardLite Diff ] File ]
mod - src/StdResource/XCAF Diff ] File ]
rm - src/StdSchema/FILES Diff ] File ]
rm - src/StdSchema/StdSchema.cdl Diff ] File ]
rm - src/StdSchema/StdSchema_CMPLRS.edl Diff ] File ]
mod - src/TDocStd/TDocStd.cdl Diff ] File ]
rm - src/TKPCAF/EXTERNLIB Diff ] File ]
rm - src/TKPCAF/FILES Diff ] File ]
rm - src/TKPCAF/PACKAGES Diff ] File ]
rm - src/TKPLCAF/EXTERNLIB Diff ] File ]
rm - src/TKPLCAF/FILES Diff ] File ]
rm - src/TKPLCAF/PACKAGES Diff ] File ]
rm - src/TKPShape/EXTERNLIB Diff ] File ]
rm - src/TKPShape/FILES Diff ] File ]
rm - src/TKPShape/PACKAGES Diff ] File ]
mod - src/TKQADraw/EXTERNLIB Diff ] File ]
rm - src/TKShapeSchema/EXTERNLIB Diff ] File ]
rm - src/TKShapeSchema/FILES Diff ] File ]
rm - src/TKShapeSchema/PACKAGES Diff ] File ]
rm - src/TKStdLSchema/EXTERNLIB Diff ] File ]
rm - src/TKStdLSchema/FILES Diff ] File ]
rm - src/TKStdLSchema/PACKAGES Diff ] File ]
rm - src/TKStdSchema/EXTERNLIB Diff ] File ]
rm - src/TKStdSchema/FILES Diff ] File ]
rm - src/TKStdSchema/PACKAGES Diff ] File ]
rm - src/TKXCAFSchema/EXTERNLIB Diff ] File ]
rm - src/TKXCAFSchema/FILES Diff ] File ]
rm - src/TKXCAFSchema/PACKAGES Diff ] File ]
mod - src/XCAFApp/XCAFApp_Application.cxx Diff ] File ]
rm - src/XCAFDrivers/FILES Diff ] File ]
rm - src/XCAFDrivers/GUID.txt Diff ] File ]
rm - src/XCAFDrivers/XCAFDrivers.cdl Diff ] File ]
rm - src/XCAFDrivers/XCAFDrivers.cxx Diff ] File ]
rm - src/XCAFDrivers/XCAFDrivers_DocumentRetrievalDriver.cdl Diff ] File ]
rm - src/XCAFDrivers/XCAFDrivers_DocumentRetrievalDriver.cxx Diff ] File ]
rm - src/XCAFDrivers/XCAFDrivers_DocumentStorageDriver.cdl Diff ] File ]
rm - src/XCAFDrivers/XCAFDrivers_DocumentStorageDriver.cxx Diff ] File ]
rm - src/XCAFSchema/FILES Diff ] File ]
rm - src/XCAFSchema/XCAFSchema.cdl Diff ] File ]
rm - src/XCAFSchema/XCAFSchema_CMPLRS.edl Diff ] File ]
mod - src/XDEDRAW/XDEDRAW.cxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW_Common.cxx Diff ] File ]
rm - tests/bugs/caf/bug24565 Diff ] File ]
rm - tests/bugs/fclasses/bug142 Diff ] File ]
rm - tests/bugs/fclasses/bug216 Diff ] File ]
occt: master 087da3bd
Timestamp: 2014-08-15 06:03:58
Author: dln
Committer: bugmaster
Details ] Diff ]
0024927: Getting rid of "Persistent" functionality -- Storable

Delete "Storable" class from "Standard" package and all use of it
mod - src/BinMXCAFDoc/BinMXCAFDoc_LocationDriver.cxx Diff ] File ]
mod - src/Draw/Draw_Color.cdl Diff ] File ]
mod - src/Extrema/Extrema_Point.cdl Diff ] File ]
mod - src/GccAna/GccAna_Circ2dTanOnRad.cdl Diff ] File ]
mod - src/GccAna/GccAna_Lin2dTanObl.cdl Diff ] File ]
mod - src/GccAna/GccAna_Lin2dTanPer.cdl Diff ] File ]
mod - src/GccAna/GccAna_LinPnt2dBisec.cdl Diff ] File ]
mod - src/GccEnt/GccEnt_QualifiedCirc.cdl Diff ] File ]
mod - src/GccEnt/GccEnt_QualifiedLin.cdl Diff ] File ]
mod - src/gp/gp_Ax1.cdl Diff ] File ]
mod - src/gp/gp_Ax2.cdl Diff ] File ]
mod - src/gp/gp_Ax22d.cdl Diff ] File ]
mod - src/gp/gp_Ax2d.cdl Diff ] File ]
mod - src/gp/gp_Ax3.cdl Diff ] File ]
mod - src/gp/gp_Circ.cdl Diff ] File ]
mod - src/gp/gp_Circ2d.cdl Diff ] File ]
mod - src/gp/gp_Cone.cdl Diff ] File ]
mod - src/gp/gp_Cylinder.cdl Diff ] File ]
mod - src/gp/gp_Dir.cdl Diff ] File ]
mod - src/gp/gp_Dir2d.cdl Diff ] File ]
mod - src/gp/gp_Elips.cdl Diff ] File ]
mod - src/gp/gp_Elips2d.cdl Diff ] File ]
mod - src/gp/gp_GTrsf.cdl Diff ] File ]
mod - src/gp/gp_GTrsf2d.cdl Diff ] File ]
mod - src/gp/gp_Hypr.cdl Diff ] File ]
mod - src/gp/gp_Hypr2d.cdl Diff ] File ]
mod - src/gp/gp_Lin.cdl Diff ] File ]
mod - src/gp/gp_Lin2d.cdl Diff ] File ]
mod - src/gp/gp_Mat.cdl Diff ] File ]
mod - src/gp/gp_Mat2d.cdl Diff ] File ]
mod - src/gp/gp_Parab.cdl Diff ] File ]
mod - src/gp/gp_Parab2d.cdl Diff ] File ]
mod - src/gp/gp_Pln.cdl Diff ] File ]
mod - src/gp/gp_Pnt.cdl Diff ] File ]
mod - src/gp/gp_Pnt2d.cdl Diff ] File ]
mod - src/gp/gp_Sphere.cdl Diff ] File ]
mod - src/gp/gp_Torus.cdl Diff ] File ]
mod - src/gp/gp_Trsf.cdl Diff ] File ]
mod - src/gp/gp_Trsf.lxx Diff ] File ]
mod - src/gp/gp_Trsf2d.cdl Diff ] File ]
mod - src/gp/gp_Vec.cdl Diff ] File ]
mod - src/gp/gp_Vec2d.cdl Diff ] File ]
mod - src/gp/gp_XY.cdl Diff ] File ]
mod - src/gp/gp_XYZ.cdl Diff ] File ]
mod - src/IGESData/IGESData_DefSwitch.cdl Diff ] File ]
mod - src/IGESData/IGESData_DirPart.cdl Diff ] File ]
mod - src/IntAna2d/IntAna2d_IntPoint.cdl Diff ] File ]
mod - src/Interface/Interface_EntityList.cdl Diff ] File ]
mod - src/IntRes2d/IntRes2d_IntersectionPoint.cdl Diff ] File ]
mod - src/IntRes2d/IntRes2d_IntersectionSegment.cdl Diff ] File ]
mod - src/IntRes2d/IntRes2d_Transition.cdl Diff ] File ]
mod - src/Quantity/Quantity_Color.cdl Diff ] File ]
mod - src/Quantity/Quantity_Date.cdl Diff ] File ]
mod - src/Quantity/Quantity_Period.cdl Diff ] File ]
mod - src/Standard/Standard.cdl Diff ] File ]
mod - src/Standard/Standard_GUID.cdl Diff ] File ]
mod - src/Standard/Standard_Persistent.cdl Diff ] File ]
mod - src/Standard/Standard_PrimitiveTypes.hxx Diff ] File ]
mod - src/Standard/Standard_Real.hxx Diff ] File ]
mod - src/Standard/Standard_ShortReal.hxx Diff ] File ]
rm - src/Standard/Standard_Storable.cdl Diff ] File ]
rm - src/Standard/Standard_Storable.cxx Diff ] File ]
mod - src/StepData/StepData_SelectType.cdl Diff ] File ]
mod - src/Storage/FILES Diff ] File ]
mod - src/Storage/Storage.cdl Diff ] File ]
rm - src/Storage/Storage_Container.hxx Diff ] File ]
mod - src/XmlMNaming/XmlMNaming_Shape1.cdl Diff ] File ]
mod - src/XmlObjMgt/XmlObjMgt_GP.cxx Diff ] File ]
occt: master 41f03605
Timestamp: 2014-08-26 12:15:24
Author: dln
Committer: bugmaster
Details ] Diff ]
0024927: Getting rid of "Persistent" functionality -- Samples and data

Support of old persistence (CSFDB format) is removed from OCCT samples (C#, MFC and Qt)

Motor model from data/csfdb is converted from CSFDB to BRep format and put to data/occ (Motor-c.brep)
rm - data/csfdb/Motor-c.csfdb Diff ] File ]
rm - data/csfdb/Motor-compound.csfdb Diff ] File ]
add - data/occ/Motor-c.brep Diff ] File ]
mod - samples/CSharp/OCCTProxy/OCCTProxy.cpp Diff ] File ]
mod - samples/CSharp/OCCTProxy_D3D/OCCTProxyD3D.cpp Diff ] File ]
mod - samples/CSharp/WinForms/Form1.cs Diff ] File ]
mod - samples/CSharp/WinForms/Form2.cs Diff ] File ]
mod - samples/CSharp/WPF_D3D/OCCViewer.cs Diff ] File ]
mod - samples/CSharp/WPF_WinForms/OCCViewer.cs Diff ] File ]
mod - samples/mfc/occtdemo/adm/cmake/CMakeLists.txt Diff ] File ]
mod - samples/mfc/standard/01_Geometry/adm/win/vc10/Geometry.vcxproj Diff ] File ]
mod - samples/mfc/standard/01_Geometry/adm/win/vc11/Geometry.vcxproj Diff ] File ]
mod - samples/mfc/standard/01_Geometry/adm/win/vc12/Geometry.vcxproj Diff ] File ]
mod - samples/mfc/standard/01_Geometry/adm/win/vc8/Geometry.vcproj Diff ] File ]
mod - samples/mfc/standard/01_Geometry/adm/win/vc9/Geometry.vcproj Diff ] File ]
mod - samples/mfc/standard/02_Modeling/adm/win/vc10/Modeling.vcxproj Diff ] File ]
mod - samples/mfc/standard/02_Modeling/adm/win/vc11/Modeling.vcxproj Diff ] File ]
mod - samples/mfc/standard/02_Modeling/adm/win/vc12/Modeling.vcxproj Diff ] File ]
mod - samples/mfc/standard/02_Modeling/adm/win/vc8/Modeling.vcproj Diff ] File ]
mod - samples/mfc/standard/02_Modeling/adm/win/vc9/Modeling.vcproj Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/adm/win/vc10/Viewer2d.vcxproj Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/adm/win/vc11/Viewer2d.vcxproj Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/adm/win/vc12/Viewer2d.vcxproj Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/adm/win/vc8/Viewer2d.vcproj Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/adm/win/vc9/Viewer2d.vcproj Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/adm/win/vc10/Viewer3d.vcxproj Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/adm/win/vc11/Viewer3d.vcxproj Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/adm/win/vc12/Viewer3d.vcxproj Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/adm/win/vc8/Viewer3d.vcproj Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/adm/win/vc9/Viewer3d.vcproj Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/adm/win/vc10/ImportExport.vcxproj Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/adm/win/vc11/ImportExport.vcxproj Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/adm/win/vc12/ImportExport.vcxproj Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/adm/win/vc8/ImportExport.vcproj Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/adm/win/vc9/ImportExport.vcproj Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/res/ImportExport.rc Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/res/Toolbar.bmp Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/src/ColoredShapes.cpp Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/src/ColoredShapes.h Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/src/ImportExportDoc.cpp Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/src/ImportExportDoc.h Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/src/StdAfx.h Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/adm/win/vc10/Ocaf.vcxproj Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/adm/win/vc11/Ocaf.vcxproj Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/adm/win/vc12/Ocaf.vcxproj Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/adm/win/vc8/Ocaf.vcproj Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/adm/win/vc9/Ocaf.vcproj Diff ] File ]
mod - samples/mfc/standard/06_Ocaf/src/StdAfx.h Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/adm/win/vc10/Triangulation.vcxproj Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/adm/win/vc11/Triangulation.vcxproj Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/adm/win/vc12/Triangulation.vcxproj Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/adm/win/vc8/Triangulation.vcproj Diff ] File ]
mod - samples/mfc/standard/07_Triangulation/adm/win/vc9/Triangulation.vcproj Diff ] File ]
mod - samples/mfc/standard/08_HLR/adm/win/vc10/HLR.vcxproj Diff ] File ]
mod - samples/mfc/standard/08_HLR/adm/win/vc11/HLR.vcxproj Diff ] File ]
mod - samples/mfc/standard/08_HLR/adm/win/vc12/HLR.vcxproj Diff ] File ]
mod - samples/mfc/standard/08_HLR/adm/win/vc8/HLR.vcproj Diff ] File ]
mod - samples/mfc/standard/08_HLR/adm/win/vc9/HLR.vcproj Diff ] File ]
mod - samples/mfc/standard/08_HLR/src/StdAfx.h Diff ] File ]
mod - samples/mfc/standard/09_Animation/adm/win/vc10/Animation.vcxproj Diff ] File ]
mod - samples/mfc/standard/09_Animation/adm/win/vc11/Animation.vcxproj Diff ] File ]
mod - samples/mfc/standard/09_Animation/adm/win/vc12/Animation.vcxproj Diff ] File ]
mod - samples/mfc/standard/09_Animation/adm/win/vc8/Animation.vcproj Diff ] File ]
mod - samples/mfc/standard/09_Animation/adm/win/vc9/Animation.vcproj Diff ] File ]
mod - samples/mfc/standard/09_Animation/res/resource.h Diff ] File ]
mod - samples/mfc/standard/09_Animation/src/StdAfx.h Diff ] File ]
mod - samples/mfc/standard/10_Convert/adm/win/vc10/Convert.vcxproj Diff ] File ]
mod - samples/mfc/standard/10_Convert/adm/win/vc11/Convert.vcxproj Diff ] File ]
mod - samples/mfc/standard/10_Convert/adm/win/vc12/Convert.vcxproj Diff ] File ]
mod - samples/mfc/standard/10_Convert/adm/win/vc8/Convert.vcproj Diff ] File ]
mod - samples/mfc/standard/10_Convert/adm/win/vc9/Convert.vcproj Diff ] File ]
mod - samples/mfc/standard/Common/ImportExport/ImportExport.cpp Diff ] File ]
mod - samples/mfc/standard/Common/ImportExport/ImportExport.h Diff ] File ]
rm - samples/mfc/standard/Common/ImportExport/SaveCSFDBDlg.cpp Diff ] File ]
rm - samples/mfc/standard/Common/ImportExport/SaveCSFDBDlg.h Diff ] File ]
mod - samples/mfc/standard/Common/res/OCC_Resource.h Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc10/mfcsample.vcxproj Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc10/mfcsample.vcxproj.filters Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc11/mfcsample.vcxproj Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc11/mfcsample.vcxproj.filters Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc12/mfcsample.vcxproj Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc12/mfcsample.vcxproj.filters Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc8/mfcsample.vcproj Diff ] File ]
mod - samples/mfc/standard/mfcsample/adm/win/vc9/mfcsample.vcproj Diff ] File ]
mod - samples/mfc/standard/mfcsample/CMakeLists.txt Diff ] File ]
mod - samples/qt/AndroidQt/OCCT.pri Diff ] File ]
mod - samples/qt/IESample/IESample.pro Diff ] File ]
mod - samples/qt/Interface/src/Application.cxx Diff ] File ]
mod - samples/qt/Interface/src/Application.h Diff ] File ]
mod - samples/qt/Interface/src/Interface-string.ts Diff ] File ]
mod - samples/qt/Interface/src/Translate.cxx Diff ] File ]
mod - samples/qt/Interface/src/Translate.h Diff ] File ]
mod - samples/qt/Tutorial/Tutorial.pro Diff ] File ]
mod - samples/qt/VoxelDemo/VoxelDemo.pro Diff ] File ]
occt: master e837410d
Timestamp: 2014-08-29 07:24:24
Author: dln
Committer: bugmaster
Details ] Diff ]
0024927: Getting rid of "Persistent" functionality -- Tests

All uses of "MDTV-Standard" and "MDTV-Design" in tests changed to "BinOcaf", and "MDTV-XCAF" changed to "BinXCAF".
Formats changed: .std to .cbf, .dxc to .dbf.

Test groups renamed accordingly:
xcaf: brep_to_dxc -> brep_to_xbf, igs_to_dxc -> igs_to_xbf, stp_to_dxc -> stp_to_xbf, dxc -> xbf/A1, dxc_add_CL -> xbf_add_CL
xml: ocaf_std -> ocaf_cbf, xcaf_dxc -> xcaf_xbf
mod - tests/bugs/caf/buc60756 Diff ] File ]
mod - tests/bugs/caf/buc60790 Diff ] File ]
mod - tests/bugs/caf/buc60813 Diff ] File ]
mod - tests/bugs/caf/buc60817 Diff ] File ]
mod - tests/bugs/caf/buc60831 Diff ] File ]
mod - tests/bugs/caf/buc60844 Diff ] File ]
mod - tests/bugs/caf/buc60847 Diff ] File ]
mod - tests/bugs/caf/buc60862 Diff ] File ]
mod - tests/bugs/caf/buc60867 Diff ] File ]
mod - tests/bugs/caf/buc60910 Diff ] File ]
mod - tests/bugs/caf/buc60917 Diff ] File ]
mod - tests/bugs/caf/buc60921 Diff ] File ]
mod - tests/bugs/caf/buc60925 Diff ] File ]
mod - tests/bugs/caf/bug1029 Diff ] File ]
mod - tests/bugs/caf/bug1030 Diff ] File ]
mod - tests/bugs/caf/bug1031 Diff ] File ]
mod - tests/bugs/caf/bug1032 Diff ] File ]
mod - tests/bugs/caf/bug1033 Diff ] File ]
mod - tests/bugs/caf/bug1034 Diff ] File ]
mod - tests/bugs/caf/bug114 Diff ] File ]
mod - tests/bugs/caf/bug1395_1 Diff ] File ]
mod - tests/bugs/caf/bug1395_2 Diff ] File ]
mod - tests/bugs/caf/bug1454 Diff ] File ]
mod - tests/bugs/caf/bug158 Diff ] File ]
mod - tests/bugs/caf/bug159 Diff ] File ]
mod - tests/bugs/caf/bug1726 Diff ] File ]
mod - tests/bugs/caf/bug21707 Diff ] File ]
mod - tests/bugs/caf/bug22788_1 Diff ] File ]
mod - tests/bugs/caf/bug22788_2 Diff ] File ]
mod - tests/bugs/caf/bug22995 Diff ] File ]
mod - tests/bugs/caf/bug23071 Diff ] File ]
mod - tests/bugs/caf/bug23489 Diff ] File ]
mod - tests/bugs/caf/bug23766_2 Diff ] File ]
mod - tests/bugs/caf/bug23766_5 Diff ] File ]
mod - tests/bugs/caf/bug24164_1 Diff ] File ]
mod - tests/bugs/caf/bug24164_2 Diff ] File ]
mod - tests/bugs/caf/bug24869 Diff ] File ]
mod - tests/bugs/caf/bug25394_1 Diff ] File ]
mod - tests/bugs/caf/bug26061 Diff ] File ]
mod - tests/bugs/caf/bug261 Diff ] File ]
mod - tests/bugs/caf/bug26155 Diff ] File ]
mod - tests/bugs/caf/bug267_1 Diff ] File ]
mod - tests/bugs/caf/bug267_2 Diff ] File ]
mod - tests/bugs/caf/bug2793 Diff ] File ]
mod - tests/bugs/caf/bug282 Diff ] File ]
mod - tests/bugs/caf/bug2932_1 Diff ] File ]
mod - tests/bugs/caf/bug2932_10 Diff ] File ]
mod - tests/bugs/caf/bug2932_11 Diff ] File ]
mod - tests/bugs/caf/bug2932_12 Diff ] File ]
mod - tests/bugs/caf/bug2932_13 Diff ] File ]
mod - tests/bugs/caf/bug2932_14 Diff ] File ]
mod - tests/bugs/caf/bug2932_15 Diff ] File ]
mod - tests/bugs/caf/bug2932_16 Diff ] File ]
mod - tests/bugs/caf/bug2932_17 Diff ] File ]
mod - tests/bugs/caf/bug2932_18 Diff ] File ]
mod - tests/bugs/caf/bug2932_19 Diff ] File ]
mod - tests/bugs/caf/bug2932_2 Diff ] File ]
mod - tests/bugs/caf/bug2932_20 Diff ] File ]
mod - tests/bugs/caf/bug2932_21 Diff ] File ]
mod - tests/bugs/caf/bug2932_22 Diff ] File ]
mod - tests/bugs/caf/bug2932_23 Diff ] File ]
mod - tests/bugs/caf/bug2932_24 Diff ] File ]
mod - tests/bugs/caf/bug2932_3 Diff ] File ]
mod - tests/bugs/caf/bug2932_4 Diff ] File ]
mod - tests/bugs/caf/bug2932_5 Diff ] File ]
mod - tests/bugs/caf/bug2932_6 Diff ] File ]
mod - tests/bugs/caf/bug2932_7 Diff ] File ]
mod - tests/bugs/caf/bug2932_8 Diff ] File ]
mod - tests/bugs/caf/bug2932_9 Diff ] File ]
mod - tests/bugs/caf/bug350 Diff ] File ]
mod - tests/bugs/caf/bug351 Diff ] File ]
mod - tests/bugs/caf/bug352 Diff ] File ]
mod - tests/bugs/caf/bug355 Diff ] File ]
mod - tests/bugs/caf/bug361 Diff ] File ]
mod - tests/bugs/caf/bug381_1 Diff ] File ]
mod - tests/bugs/caf/bug381_2 Diff ] File ]
mod - tests/bugs/caf/bug387 Diff ] File ]
mod - tests/bugs/caf/bug425 Diff ] File ]
mod - tests/bugs/caf/bug5023 Diff ] File ]
mod - tests/bugs/caf/bug73_1 Diff ] File ]
mod - tests/bugs/caf/bug73_2 Diff ] File ]
mod - tests/bugs/caf/bug73_3 Diff ] File ]
mod - tests/bugs/modalg_2/bug22770_1 Diff ] File ]
mod - tests/bugs/modalg_2/bug22770_13 Diff ] File ]
mod - tests/bugs/modalg_2/bug22770_15 Diff ] File ]
mod - tests/bugs/modalg_2/bug22770_2 Diff ] File ]
mod - tests/bugs/modalg_2/bug22770_3 Diff ] File ]
mod - tests/bugs/modalg_4/bug363_1 Diff ] File ]
mod - tests/bugs/modalg_4/bug8228 Diff ] File ]
mod - tests/bugs/modalg_5/bug24849_1 Diff ] File ]
mod - tests/bugs/modalg_5/bug24849_2 Diff ] File ]
mod - tests/bugs/modalg_5/bug25969 Diff ] File ]
mod - tests/bugs/moddata_3/bug23733 Diff ] File ]
mod - tests/bugs/xde/bug22776 Diff ] File ]
mod - tests/bugs/xde/bug22982 Diff ] File ]
mod - tests/bugs/xde/bug23384 Diff ] File ]
mod - tests/bugs/xde/bug23736 Diff ] File ]
mod - tests/bugs/xde/bug3926 Diff ] File ]
mod - tests/caf/basic/A3 Diff ] File ]
mod - tests/caf/basic/B3 Diff ] File ]
mod - tests/caf/basic/C3 Diff ] File ]
mod - tests/caf/basic/D3 Diff ] File ]
mod - tests/caf/basic/E3 Diff ] File ]
mod - tests/caf/basic/F3 Diff ] File ]
mod - tests/caf/basic/G3 Diff ] File ]
mod - tests/caf/basic/H3 Diff ] File ]
mod - tests/caf/basic/I3 Diff ] File ]
mod - tests/caf/basic/J3 Diff ] File ]
mod - tests/caf/basic/J6 Diff ] File ]
mod - tests/caf/basic/K3 Diff ] File ]
mod - tests/caf/basic/L3 Diff ] File ]
mod - tests/caf/basic/M3 Diff ] File ]
mod - tests/caf/begin Diff ] File ]
mod - tests/caf/named_shape/C1 Diff ] File ]
mod - tests/caf/named_shape/E1 Diff ] File ]
mod - tests/caf/named_shape/E2 Diff ] File ]
mod - tests/caf/named_shape/E3 Diff ] File ]
mod - tests/caf/named_shape/E4 Diff ] File ]
mod - tests/caf/named_shape/E5 Diff ] File ]
mod - tests/caf/named_shape/E6 Diff ] File ]
mod - tests/caf/named_shape/E7 Diff ] File ]
mod - tests/caf/named_shape/E8 Diff ] File ]
mod - tests/caf/named_shape/E9 Diff ] File ]
mod - tests/caf/named_shape/F1 Diff ] File ]
mod - tests/caf/named_shape/F2 Diff ] File ]
mod - tests/caf/named_shape/F3 Diff ] File ]
mod - tests/caf/named_shape/F4 Diff ] File ]
mod - tests/caf/named_shape/F5 Diff ] File ]
mod - tests/caf/named_shape/F6 Diff ] File ]
mod - tests/caf/named_shape/F7 Diff ] File ]
mod - tests/caf/named_shape/F8 Diff ] File ]
mod - tests/caf/named_shape/F9 Diff ] File ]
mod - tests/caf/presentation/A4 Diff ] File ]
mod - tests/caf/tree/A3 Diff ] File ]
mod - tests/caf/tree/B3 Diff ] File ]
mod - tests/caf/tree/C2 Diff ] File ]
mod - tests/caf/xlink/A1 Diff ] File ]
mod - tests/caf/xlink/A2 Diff ] File ]
mod - tests/caf/xlink/B1 Diff ] File ]
mod - tests/caf/xlink/B2 Diff ] File ]
mod - tests/caf/xlink/B3 Diff ] File ]
mod - tests/caf/xlink/B4 Diff ] File ]
mod - tests/caf/xlink/B5 Diff ] File ]
mod - tests/caf/xlink/C1 Diff ] File ]
mod - tests/caf/xlink/D1 Diff ] File ]
mod - tests/caf/xlink/D2 Diff ] File ]
mod - tests/de/begin Diff ] File ]
mod - tests/v3d/glsl/distinguish_off Diff ] File ]
mod - tests/xcaf/end Diff ] File ]
mod - tests/xcaf/grids.list Diff ] File ]
mod - tests/xml/data/ocaf/B7 Diff ] File ]
mod - tests/xml/grids.list Diff ] File ]
occt: master c6f11ec0
Timestamp: 2014-09-02 07:21:21
Author: dln
Committer: bugmaster
Details ] Diff ]
0024927: Getting rid of "Persistent" functionality -- Documentation

First version of upgrade manual (new developer guide) added, describing methods that can be used to convert data files written with old persistence, to formats supported by OCCT 7.0
mod - dox/dev_guides/dev_guides.md Diff ] File ]
add - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
mod - dox/FILES_HTML.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-05-15 09:47 dln New Issue
2014-05-15 09:47 dln Assigned To => abv
2014-05-15 09:47 dln File Added: Tree of dependencies.docx
2014-06-03 18:37 abv Status new => assigned
2014-06-05 09:50 abv Note Added: 0029689
2014-07-21 17:26 abv Assigned To abv => dbv
2014-08-04 15:07 git Note Added: 0030556
2014-08-13 11:58 git Note Added: 0030706
2014-08-15 11:19 git Note Added: 0030767
2014-08-15 11:31 git Note Added: 0030769
2014-08-15 11:57 git Note Added: 0030770
2014-08-26 16:15 git Note Added: 0031101
2014-08-29 11:24 git Note Added: 0031176
2014-09-02 11:21 git Note Added: 0031259
2014-09-03 12:17 git Note Added: 0031300
2014-09-11 10:49 abv Target Version 6.8.0 => 7.0.0
2015-02-10 15:11 abv Summary Getting rid of "Persistent" functionality => Getting rid of old "Persistent" functionality
2015-02-10 15:11 abv Description Updated View Revisions
2015-05-14 08:55 git Note Added: 0040874
2015-05-14 08:56 abv Assigned To dbv => ski
2015-05-14 09:03 abv Note Added: 0040875
2015-05-14 09:14 abv Priority normal => high
2015-05-14 18:30 git Note Added: 0041154
2015-05-14 19:06 ski Note Added: 0041157
2015-05-14 19:08 ski Assigned To ski => szy
2015-05-14 19:08 ski Note Added: 0041158
2015-05-17 17:18 git Note Added: 0041218
2015-05-17 17:20 abv Assigned To szy => ski
2015-05-17 17:40 abv Note Added: 0041219
2015-05-17 17:40 abv Status assigned => resolved
2015-05-17 17:40 abv Steps to Reproduce Updated View Revisions
2015-05-17 17:40 abv File Added: bug25969_pal22851.cbf
2015-05-17 17:41 abv Note Added: 0041220
2015-05-19 15:00 git Note Added: 0041280
2015-05-20 12:28 git Note Added: 0041308
2015-05-20 15:20 szy Note Added: 0041317
2015-05-20 15:20 szy Status resolved => assigned
2015-05-20 15:20 szy Relationship added parent of 0025812
2015-05-20 15:39 git Note Added: 0041318
2015-05-20 16:53 ski Note Added: 0041327
2015-05-20 17:52 git Note Added: 0041330
2015-05-20 17:55 ski Note Added: 0041331
2015-05-20 17:55 ski Assigned To ski => abv
2015-05-20 17:55 ski Status assigned => resolved
2015-05-20 17:58 ski Note Added: 0041333
2015-05-20 18:06 git Note Added: 0041336
2015-05-20 18:07 abv Note Added: 0041337
2015-05-20 18:07 abv Assigned To abv => bugmaster
2015-05-20 18:07 abv Status resolved => reviewed
2015-05-20 18:26 apv Assigned To bugmaster => apv
2015-05-21 08:29 abv File Deleted: bug25969_pal22851.cbf
2015-05-21 12:45 apv Test case number => bugs xde bug26216
2015-05-21 12:45 apv Test case number bugs xde bug26216 =>
2015-05-21 13:38 apv Test case number => Not needed
2015-05-21 13:42 apv Note Added: 0041379
2015-05-21 13:42 apv Assigned To apv => ski
2015-05-21 13:42 apv Status reviewed => assigned
2015-05-21 13:42 apv Note Edited: 0041379 View Revisions
2015-05-21 19:07 ski Note Added: 0041406
2015-05-21 19:07 ski Assigned To ski => abv
2015-05-21 19:07 ski Status assigned => resolved
2015-05-21 19:21 abv Note Added: 0041407
2015-05-21 19:21 abv Assigned To abv => bugmaster
2015-05-21 19:21 abv Status resolved => reviewed
2015-05-22 12:19 bugmaster Changeset attached => occt master c6f11ec0
2015-05-22 12:19 bugmaster Changeset attached => occt master 087da3bd
2015-05-22 12:19 bugmaster Changeset attached => occt master 41f03605
2015-05-22 12:19 bugmaster Changeset attached => occt master e837410d
2015-05-22 12:19 bugmaster Changeset attached => occt master fff263bd
2015-05-22 12:19 bugmaster Status reviewed => verified
2015-05-22 12:19 bugmaster Resolution open => fixed
2015-07-22 07:47 git Note Added: 0043263
2015-07-22 07:52 git Note Added: 0043264
2015-08-14 11:01 git Note Added: 0044279
2015-08-14 11:02 git Note Added: 0044297
2015-08-14 11:02 git Note Added: 0044298
2015-08-14 11:02 git Note Added: 0044300
2015-08-14 11:02 git Note Added: 0044301
2016-02-26 15:13 san Relationship added related to 0027206
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:49 aiv Status verified => closed
2017-05-02 11:31 abv Relationship added parent of 0028564
2017-05-02 11:48 abv Relationship added parent of 0026961


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker